'use strict';

var chaptertext = [
  "<p>\u201cIf on a summer\u2019s night a game designer, wandering through an infinite library...\u201d</p>\n<p>\u201cStop right there. You\u2019re thinking Borges, not Calvino.\u201d</p>\n<p>\u201cAll of Calvino\u2019s books are <em>in</em> the\u2014\u201d</p>\n<p>\u201cDoes. Not. Count.\u201d</p>\n<p>\u201cAll right, all right. This is <em>my</em> library, anyway, not Borges\u2019.\u201d</p>\n<p>\u201cDo you even own any Calvino?\u201d</p>\n<p>\u201cThere, the far right end of the top shelf. <em>The Road to San Giovanni</em>. Take a look at it if you like.\u201d</p>",
  "<p>\u201cYou file the Calvino with the Hodgell and the Banks? Have you heard of the <em>alphabet</em>?\u201d</p>\n<p>\u201cI\u2019m not a fan. In my world, finding a book is like meeting a friend in a park. You say hello to a lot of other friends along the way. You might know roughly where your target is, or you might not, or they might have wandered off. Maybe you wind up hanging out with someone you\u2019d forgotten about entirely.\u201d</p>\n<p>\u201cSo <em>no</em> organizational scheme?\u201d</p>\n<p>\u201cOh, I keep authors together, except when the books are different sizes. Size is unavoidable. Calvino is in with the short hardbacks. Except for <em>really</em> short hardbacks, which are in the center.\u201d</p>\n<p>\u201cI can\u2019t see them from here.\u201d</p>\n<p>\u201cYou can\u2019t see all of anything from anywhere. If you could, it would only be a <em>map</em> of a park. Mind you, I\u2019d love a multi-story library with balconies.\u201d</p>",
  "<p>\u201cYou want balconies and secret passages, is what you want. Like at the Morgan in New York.\u201d</p>\n<p>\u201cOh <em>yes</em>. See that door next to the radiator?\u201d</p>\n<p>\u201cThe closet?\u201d</p>\n<p>\u201cIt\u2019s a closet, but the space to the right is a sealed-off chimney. If I ever refinish the attic, I\u2019m ripping out the chimney and putting in a secret stairway. Ladder, anyway.\u201d</p>\n<p>\u201cFirepole.\u201d</p>\n<p>\u201cTrampoline.\u201d</p>\n<p>\u201cPaternoster.\u201d</p>\n<p>\u201cYou <em>win</em>, my entire body just clenched up. I\u2019ll stick to the ladder plan.\u201d</p>",
  "<p>\u201cSo... it\u2019s not a maze of books, but it\u2019s not <em>not</em> a maze.\u201d</p>\n<p>\u201cI tried to gesture in a maze-like direction. I suppose I should get the maze posters out of storage and post them in the remaining wallspace.\u201d</p>\n<p>\u201cThat would presume that you\u2019re not going to put in more bookcases.\u201d</p>\n<p>\u201cProbably not? I could put a rotating rack right here, in the center, just to increase the, the...\u201d</p>\n<p>\u201cRecursion.\u201d</p>\n<p>\u201cYes. But no. The margins are comfortable all around. Putting in another bookcase wouldn\u2019t work. Now, I may at some point make them <em>taller</em>.\u201d</p>",
  "<p>\u201cI noticed that the shelves on the right are ceiling-height.\u201d</p>\n<p>\u201cNot quite, but yes. The wide wooden cases on the left are shorter; plenty of room for vertical growth.\u201d</p>\n<p>\u201cAnd the center... edifice?\u201d</p>\n<p>\u201cThat <em>could</em> be taller \u2013 I have the extender shelves for it \u2013 but I decided not to.\u201d</p>\n<p>\u201cNo? Well, it would block the light, I guess.\u201d</p>\n<p>\u201cThat. And it would... loom. And there might be an earthquake.\u201d</p>\n<p>\u201cBoston doesn\u2019t get earthquakes.\u201d</p>\n<p>\u201cIt\u2019s still 2020.\u201d</p>\n<p>\u201cFair.\u201d</p>"
];
var bookmap = {
  rendezvous_with_rama: {
    key: 'rendezvous_with_rama',
    title: "Rendezvous With Rama",
    author: "Arthur C. Clarke",
    html: "<p>\u201cThe inspiration for <em>Starcross</em>. And at least two games that were direct adaptations, of course.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'elerium': {
        html: "<blockquote>\n<p>The biomechaniforms appear to be powered by minute grains of a phosphorescent blue crystal. The substance generates a nonthermal spectrum without energy input, apparently indefinitely. There is no way to verify whether the material has been stored through the craft\u2019s journal, or synthesized on entry to Sol system. However, no sample has shown a detectable decline in power since Rama departed.</p>\n</blockquote>\n<p>\u201cThat is...\u201d</p>\n<p>\u201cDry?\u201d</p>\n<p>\u201cI was going to say, that is the boring-est possible way to describe a friggin\u2019 <em>alien energy crystal</em> made of <em>unknown elements</em>. That I have ever seen.\u201d</p>\n<p>\u201cI\u2019m saving the expletives for the grant proposal.\u201d</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cOpen your eyes,<br>\nLook up to the skies and see...\u201d</p>"
      },
      'joystick': {
        html: "<ul>\n<li>Two handheld control sticks;</li>\n<li>One behavior monitor/feedback circuit;</li>\n<li>Two antigrav contact drones;</li>\n<li>Two swathes of elastic nanocarbon fabric, hung on glassfiber frames...</li>\n</ul>\n<p>\u201c...Ah, right. You want to play <em>Pong</em> with the alien technology trove.\u201d</p>\n<p>\u201cIt\u2019s cultural! We got a grant for it!\u201d</p>"
      }
    }
  },
  necronomicon: {
    key: 'necronomicon',
    title: "Necronomicon",
    author: "Simon Schlangecraft",
    html: "<p>\u201cYeah, I have a copy, cheap paperback edition, no biggie.\u201d</p>",
    item: 'elder_sign',
    snippetcount: 4,
    snippets: {
      'torch': {
        html: "<p>A madding mob of enraged New Englanders descended on the village. Their torches trailed fire and smoke into the star-ridden night.</p>\n<p>The village burned, indeed. Everyone in it burned as well. The idols burned, the books burned. The thicket of black thorny trees, whose center no one had ever managed to reach, burned very well. Everything that had lived in the village burned.</p>\n<p>What did <em>not</em> live, however, could not burn. It floated up in the hot rising currents. It twisted smoke into involute veils that did not dissipate, but drifted across the countryside like cobwebs in the darkening sky.</p>\n<p>The cobwebs fell and clung.</p>"
      },
      'footnote': {
        html: "<p>* Do <em>not</em> lick.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cOh, mama mia, mama mia, mama mia, let me go!<br>\nBeelzebub has a devil put aside for me, for me, for me!\u201d</p>"
      },
      'question': {
        html: "<p>\u201cWhat is not dead which can eternal lie? Might Death, in such strange aeons, also die?\u201d</p>\n<p>For there is no inquiry which cannot be essayed. The attempt may scar reason, curdle thought, bring the rational mind to the brink of ruin \u2013 true. Must madness result? Perhaps one must be mad to even contemplate beginning such a task.</p>\n<p>And yet, <em>the question may be asked.</em></p>"
      }
    }
  },
  young_wizards: {
    key: 'young_wizards',
    title: "So You Want To Be A Wizard",
    author: "Diane Duane",
    html: "<p>\u201cThe Oath is written on the first page in large friendly letters. It counts if you mean it, you know.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'elder_sign': {
        html: "<p>\u201cWow, look at that thing,\u201d the girl said.</p>\n<p>\u201cYeah, the most powerful warding sigil\u2014\u201d</p>\n<p>\u201cNo, I mean, it\u2019s <em>crap</em>.\u201d</p>\n<p>\u201cUm...\u201d The boy was nonplussed.</p>\n<p>\u201cThe power feed isn\u2019t balanced at <em>all</em>. This loop here, see. It just goes into a spin cycle.\u201d She gesticulated. \u201cIt\u2019s only <em>warding</em> the circle until something touches it, and then it just dumps a firehose and leaks psychic energy everywhere. Inside and out.\u201d</p>\n<p>\u201cOh. Well, I guess. But it would <em>work</em>.\u201d</p>\n<p>\u201cSure, if you don\u2019t mind continuous screaming in your cognitive penumbra. No wonder the practitioners all went nuts. I mean,\u201d she looked embarrassed, \u201csuffered progressive functional disability.\u201d</p>\n<p>\u201cOf the fruitcake style.\u201d</p>\n<p>\u201cWell yes.\u201d</p>"
      },
      'ln_bottle': {
        html: "<p>\u201cOkay, that\u2019s enough.\u201d</p>\n<p>\u201cYeah...\u201d</p>\n<p>\u201c...Turn the valve <em>off</em> now.\u201d</p>\n<p>\u201cI\u2019m <em>trying</em>. It\u2019s stuck.\u201d</p>\n<p>The liquid nitrogen hissed and burbled from the tap. They were ankle-deep in chilly fog now.</p>\n<p>\u201cCan\u2019t you heat it up or something?\u201d</p>\n<p>\u201cIt\u2019s at seventy-seven K! It would probably crack! No, <em>don\u2019t</em> bang on it.\u201d</p>\n<p>They stared at the valve, which was rapidly growing a coat of frost.</p>\n<p>\u201cWe don\u2019t have to worry about our oxygen, do we?\u201d</p>\n<p>\u201cNot unless you lie down on the floor.\u201d</p>"
      },
      'button': {
        html: "<p>\u201cNo, <em>seriously</em> push the button.\u201d</p>\n<p>\u201cThe jolly candy-like button?\u201d</p>\n<p>\u201cFirst of all, that show was either years after our time or years before it, depending on which branch of the multiverse you prefer. Second, there are giant octopoids with blaster rays closing in on our position, Carmela is out of eggbeater, the earthquake\u2014\u201d</p>\n<p>\u201cMoonquake.\u201d</p>\n<p>\u201c<em>Quake</em> is already mucking with our power supply, and we \u2013 wait. Why am I arguing about this?\u201d</p>\n<p>\u201cBecause you want <em>me</em> to push the button.\u201d</p>\n<p>\u201cI mean besides that!\u201d</p>"
      }
    }
  },
  e_nesbit_trilogy: {
    key: 'e_nesbit_trilogy',
    title: "Three Stories",
    author: "E. Nesbit",
    html: "<p>\u201cFive children, a phoenix, and a time-travelling amulet.\u201d</p>",
    item: 'ginger_beer',
    snippetcount: 3,
    snippets: {
      'coin': {
        html: "<p>The coin was very old. Antique letters in a foreign alphabet ran around the edge. \u201cChinese, I should think,\u201d said Cyril confidently. (Wrongly, but this was not his fault and we will not hold it against him.)</p>\n<p>Vigorous experiment determined that the coin was not a wishing-coin. Robert suggested that it might need be thrown down a wishing-well, but this idea was immediately rejected by the others, not least on the grounds that there was no well in sight. \u201cAnd how would one know it <em>was</em> a wishing-well?\u201d Robert\u2019s entirely logical answer to this was rejected even more quickly.</p>\n<p>In the end the coin was put away and forgotten. Forgotten, that is, until the matter of Map of Arxnodorum \u2013 but that is a different story.</p>"
      },
      'puzzle_piece': {
        html: "<p>The brass piece fit perfectly into the gap. The lid of the chest was now whole, complete, with no sign that a piece had ever been missing.</p>\n<p>\u201cOpen it!\u201d \u201cOpen it!\u201d</p>\n<p>I lifted the lid... and the chest collapsed entirely, sliding into a heap of irregular, disconnected pieces of brass.</p>\n<p>We gazed at the heap, struck improbably all silent.</p>\n<p>Then I prodded the brass pile. \u201cSo... more chests, you think?\u201d</p>"
      },
      'elder_sign': {
        html: "<p>I\u2019m not saying that Psammeads <em>have</em> tentacles. Just that, if you\u2019re going out looking for tentacled horrors, you wouldn\u2019t want to trip over a Psammead and make a very embarrassing mistake.</p>"
      }
    }
  },
  god_stalk: {
    key: 'god_stalk',
    title: "God Stalk",
    author: "P. C. Hodgell",
    html: "<p>\u201cNurk lurks in doorways.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'elder_sign': {
        html: "<p>\u201cThat\u2019s not a Master Rune. Well enough for godlings, I\u2019m sure, but no use to us.\u201d</p>"
      },
      'puzzle_piece': {
        html: "<p>\u201cI know keys.\u201d</p>\n<p>\u201cIt could be an odd-shaped key.\u201d</p>\n<p>\u201cIt\u2019s a brass triangle with three chunky bits and a hole! If it were a key, you could pick the lock with a chicken bone.\u201d</p>\n<p>\u201cDo you have a chicken bone?\u201d</p>\n<p>\u201cI have a complete set of Tastigon lock-picks, which I\u2019ve never used, because my claws are better. Look. Let\u2019s search the place again.\u201d</p>"
      },
      'knife': {
        html: "<p><em>Knife with handle decor,</em> Metalondar river valley site six, catalog #B91:</p>\n<p>Bone blade, single-edge, broken below the tip, faint scorch marks. Pommel depicts three faces. <em>No, not what you\u2019re thinking.</em> A gape-mouthed frog; a child with swirling hair; a woman with sagging cheeks and a bandage over her eyes.</p>\n<p>The workmanship is mid-classical but the symbology is Old Rathillien \u2013 clearly related to Merikit forms.</p>\n<p>The frog says boo!<br>\nThe girl blows, whooo!<br>\nThe mother stirs a pot of stew.<br></p>\n<p>\u201c\u2018Cut the flame and tell me true?\u2019\u201d</p>\n<p>\u201cThat\u2019s the last line in my village. I\u2019ve never heard anyone else say it.\u201d</p>\n<p>\u201cThe knife doesn\u2019t show the Burnt Man, or whatever the equivalent is.\u201d</p>\n<p>\u201cScared to show his face? Or is the blade itself the fourth face?\u201d</p>"
      },
      'footnote': {
        html: "<p>A small army of scrollsmen had been tracing the ancestry of the Black Bastard for at least two hundred years. He officially disapproved of the hobby, but was careful to never say anything that could be interpreted as an order to stop.</p>\n<p>In any given decade, there was always at least one scrollsman who had entirely ossified on the subject and would say nothing not in Randir matronymic notation. The other <em>studientes</em> would take care of the unfortunate, record every scrap of knowledge that trailed from their lips, and reverentially bleed a few wisps of dust-dry blood into the pages of the Book when there was no other recourse. Eventually, always, it would be someone else\u2019s turn.</p>"
      }
    }
  },
  ico: {
    key: 'ico',
    title: "Ico: Castle in the Mist",
    author: "Miyuki Miyabe",
    html: "<p>\u201cBet you didn\u2019t know there was an adaptation.\u201d</p>\n<p>\u201cOf a platformer?\u201d</p>\n<p>\u201cA really narrative platformer. The book doesn\u2019t connect up all that well with the game, but it\u2019s okay.\u201d</p>",
    item: 'torch',
    snippetcount: 4,
    snippets: {
      'hula_hoop': {
        html: "<p>The rings rotate around each other. Light burns at their heart. When the rings click into place, the light solidifies into a beam that spears across the sky.</p>"
      },
      'ghost_knife': {
        html: "<p>A club, crude as it is, disperses the mocking shadow-spawn. Their substance may cling and pull, but your wild swings unravel them into smoke.</p>\n<p>(They re-form, in time. You have time.)</p>\n<p>When you find a sword, it works as well. It is not the keenness \u2013 no edge can cut shadow \u2013 but the heft of the blade that serves you. A blunt sword would scatter the creatures as easily as sharp.</p>\n<p>But here: a glass knife? Turned against the light, it disappears. It is a plane of division. When you draw your finger across it, there is no blood, only a lingering chill and a numbing sense of someone else\u2019s joint pasted to your knuckle. (The sensation quickly dissipates, to your great relief.)</p>\n<p>When you turn the glass blade on the shadows, they scream silently and bleed grey vapor. They fall apart and do not coalesce again.</p>\n<p>But with each stroke, Yorda grows quieter and more pale.</p>\n<p>In the afternoon, light falls through her skin.</p>"
      },
      'no_e': {
        html: "<p>Of course it\u2019s easy to remove all the \u201ce\u201ds from a fantasy language that has no alphabetic representation.</p>\n<p>Now, according to the wiki, the runes are a simple transposition of (mostly) English. I didn\u2019t know this when I played, mind you. So you could talk about removing \u201ceast\u201d from the game. This wouldn\u2019t make sense with the map as designed. Might be an interesting design constraint in there somewhere...</p>"
      },
      'joystick': {
        html: "<p>Jump, swing, grab a ladder, grab a pole, climb, climb, ever upwards, ever on...</p>\n<p>The castle is bigger than you; it\u2019s bigger than you can imagine. But it has a plan. Its plan \u2013 not yours.</p>\n<p>The shadows rise out of shadow, the substance of shadow. But mind: there is no darkness. Even the caverns are filled with echoed sunlight. That\u2019s <em>why</em> shadows, after all.</p>\n<p>Mill-wheels turn in the absence of industry. Statues glower down without a trace of history or idolatry. Battlements loom over a sacred space that has never seen war.</p>\n<p>Jump. Climb. Swing. Then let go.</p>"
      }
    }
  },
  five_twelfths_of_heaven: {
    key: 'five_twelfths_of_heaven',
    title: "The Roads of Heaven",
    author: "Melissa Scott",
    html: "<p>\u201cSpaceships, alchemy, and ritual magic. One of my inspirations.\u201d</p>",
    item: 'water',
    snippetcount: 3,
    snippets: {
      'button': {
        html: "<p>You push the button, and a chime rings through the ship\u2019s keel. The sound is gentle, sonorous; it washes through your bones and alters the pitch of your vision.</p>\n<p>You push the button again. This time, equally sonorous: silence.</p>"
      },
      'elerium': {
        html: "<p>\u201cYou can\u2019t tell me that glowing blue crystals are any kind of way to drive a starship. What does that even <em>symbolize</em>?\u201d</p>"
      },
      'joystick': {
        html: "<p>The newest craze for your AquaBath 3000: Place Invaders!</p>\n<p>Flecks of sympathetic crystal race across your bath! Shoot down the targets with your harmonious droplets or suffer the discordant result! Spend your runes on defensive inscriptions or save them for the Divine Wind of Cleansing!</p>\n<p>(AquaBath games should not be played in hospitals, celestial vehicles, or houses of worship. Do not drink Aquabath. Clean your AquaBath weekly. Do not curse in the presence of AquaBath. Really, <em>really</em> do not drink AquaBath.)</p>"
      }
    }
  },
  johnny_maxwell: {
    key: 'johnny_maxwell',
    title: "Only You Can Save Mankind",
    author: "Terry Pratchett",
    html: "<p>\u201cThe only two of his on this shelf that <em>aren\u2019t</em> set on Discworld.\u201d</p>\n<p>\u201cYou\u2019ve got <em>Strata</em> right there....\u201d</p>\n<p>\u201cSet on <em>a</em> Discworld, then.\u201d</p>",
    item: 'joystick',
    snippetcount: 3,
    snippets: {
      'footnote': {
        html: "<p>* Surprisingly, these books have no footnotes. You didn\u2019t think Pratchett wrote books without them.</p>"
      },
      'button': {
        html: "<p>The button is labelled \u201cSAVE MANKIND\u201d in large, friendly letters.</p>\n<p>You move to push it. Then you read it again. Then you start to <em>seriously</em> wonder.</p>"
      },
      'ghost_knife': {
        html: "<p>It\u2019s not like they\u2019re hurting anybody. Nonetheless, every haunting draws a crowd of do-it-yourself exorcists, ghostbusters, spirit cleansers, and militant psychopomps.</p>\n<p>These self-taught enthusiasts wave their wands, ghost-knives, herb bundles, nuclear backpack guns \u2013 or whatever \u2013 and insist that they\u2019re ready to take on all undead comers. The ghosts, at this point, are typically slouching away and trying to blend in with the (embodied) crowd.</p>"
      }
    }
  },
  dshai: {
    key: 'dshai',
    title: "D\u2019Shai",
    author: "Joel Rosenberg",
    html: "<p>\u201cKazuh is really interesting. One of the few examples in Western fantasy of magic as an expression of physical skill, as opposed to will, knowledge, or divine favor.\u201d</p>\n<p>\u201cWestern?\u201d</p>\n<p>\u201cWell, the author is a white guy. Jewish white guy. The society is sort of Asian, but nothing about it is <em>specifically</em> Asian. It\u2019s more like a demonstration of how we immediately Orientalize anything that doesn\u2019t fit our cultural language.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'hula_hoop': {
        html: "<p>Three steel hoops hanging twelve feet off the ground. The acrobat balances within the center one. She is entirely still; the hoop rotates very, very slowly.</p>\n<p>The crowd is silent, entirely silent, so the <em>ping</em> of the snapping cable cracks the silence like glass. The acrobat falls.</p>\n<p>Except that her foot catches another hoop, and she swings up, and back, and up again, and she tosses her original hoop high into the sunlight of dawn.</p>"
      },
      'draconic_mask': {
        html: "<p>Mesthai artwork is universally known and praised for its devotion to the human face. No other subject, the ancients said, is worthy of art.</p>\n<p>This \u201cMesthai Cycle of Dragons\u201d is therefore of the most questionable provenance. They are indeed <em>expressive</em> dragons. They loop their necks in joy; they crouch and flare their spines in aggression. Their eyes seem to glow, even in bas-relief woodwork, and draw your gaze almost hypnotically.</p>\n<p>The carved anatomy is both fantastical and precise, especially since no one has <em>seen</em> a dragon in thousands of years, and this was already true in the Mesthai\u2019s day... Or so the history books say. It would be rude to suggest that their attention to the <em>human</em> face was conscious, like a gifted student speaking a foreign tongue. Whereas these dragons simply <em>are</em>.</p>"
      },
      'shoes': {
        html: "<p>The cover artist is notably terrible at drawing people. And yet, somehow, I always admire their shoes. I guess the guy wound up one step to the left of his life\u2019s calling.</p>"
      }
    }
  },
  taltos: {
    key: 'taltos',
    title: "Taltos",
    author: "Steven Brust",
    html: "<p>\u201cSeventeen books and he might actually finish the damn series. Maybe.\u201d</p>\n<p>\u201cYou know perfectly well that the series will run to <em>nineteen</em> books.\u201d</p>\n<p>\u201cYes, but I didn\u2019t want to confuse...\u201d</p>\n<p>\u201cThe people reading this are exactly the ones who will know about <em>The Final Contract</em>!\u201d</p>",
    snippetcount: 3,
    snippets: {
      'glowpepper': {
        html: "<p>\u201cI cannot think this is what those who tend the Pepperfields intended to harvest.\u201d</p>\n<p>\u201cYet harvest it they have. Do you think sorcery is involved?\u201d</p>\n<p>\u201cNecromancy, mayhap.\u201d</p>\n<p>\u201cIs the vegetable in two places at once?\u201d</p>\n<p>\u201cMayhap not then. It might be witchcraft? I am told that witches revere peppers above all other spice.\u201d</p>\n<p>\u201cDoes the phosphorescence add to the flavor?\u201d</p>\n<p>\u201cBlood of the Camelopard, I have no idea. Do you suggest that I try eating it?\u201d</p>"
      },
      'water': {
        html: "<p>If elemental water were to be used in witchcraft, it would be a thirteen-hour meditation on the manifest nature of water, the cycles of rain and snow, the eternal presence of the Ocean-Sea. At the culmination, one drop of elemental water would be either produced or consumed, depending on symbolism and intent.</p>\n<p>Necromancy would begin an inquiry into the formation of Dark Water from its aqueous fundamentals. What state change is involved? When elemental water becomes dark, is some quality added or is some quality removed? Can one add it back? Can this quality, or absence, be concentrated or imbued into elemental earth or metal? Is Dark Fire a contradiction or a resolution? And so on.</p>\n<p>Sorcery ignores the entire topic; elemental chaos is the only subject of interest to sorcerers.</p>\n<p>The Enchantress of Dzur Mountain keeps jars of elemental water in the pantry, unlabelled. Also in her library; in her receiving room; in her bedchamber. She does not discuss the reasons with anyone who is not an Enchanter; which is to say, with anyone.</p>"
      },
      'strange_loop': {
        html: "<p>\u201cI meant to ask\u2014\u201d</p>\n<p>\u201cDo.\u201d</p>\n<p>\u201cOn the matter of reincarnation and genetics.\u201d</p>\n<p>\u201cAh. The issue is simple. Science declares that heritage and accident are responsible for one\u2019s fate. Necromancy declares that phase-sympathetic continuity is responsible.\u201d</p>\n<p>\u201cNecromancy?\u201d</p>\n<p>\u201cReincarnation is best modelled as a strange necromantic loop. Or a necromantic strange loop. Letters of comment disagree on the emphasis.\u201d</p>"
      }
    }
  },
  the_zork_chronicles: {
    key: 'the_zork_chronicles',
    title: "The Zork Chronicles",
    author: "George Alec Effinger",
    html: "<p>\u201cI\u2019m so pleased that they let him do what he always does in his books. Which is gaze seriously at you and then drift off to the <em>moon</em>.\u201d</p>\n<p>\u201cTwentieth-century Depression glass?\u201d</p>\n<p>\u201cI can\u2019t remember if that\u2019s in there, but yes.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'knife': {
        html: "<p>It\u2019s a two-foot rusty knife with a star on the pommel. Definitely a weapon \u2013 you wouldn\u2019t use this to trim brush or pry a stone out of a horse\u2019s hoof.</p>\n<p>Oh, I suppose you want to know about applications. Cutting ropes: definitely. Deflating inflatable rafts: it is very likely. Stabbing lean and hungry gentlemen: I guess you could, if you wanted the risk.</p>\n<p>Funny how useful a knife <em>should</em> be... you should be able to pry out jewels, pick locks, or jam it into a crack to make a foothold. But somehow the blade is only of narrow utility. (Get it? Sorry.)</p>\n<p>A crowbar, even more so. An adventurer with a lantern and a crowbar should be fully equipped. None of this inventory nonsense. Got crowbar? Destroy puzzle with crowbar.</p>\n<p>Okay, you can bring lunch if you <em>insist</em>.</p>"
      },
      'plasm_pen': {
        html: "<p><em>Florescent glyph:</em> Accelerate plant growth within radius.</p>\n<p><em>Conjurative glyph:</em> Increase the mana flow rate of other glyphs within radius.</p>\n<p><em>Anodyne glyph:</em> Inhibit pain, reduce fever, promote healing (+1).</p>\n<p><em>Wardate glyph:</em> Bar passage of immaterial beings.</p>\n<p><em>Infernative glyph:</em> Heat metal, scorch paper, induce headache (+2), improve resonance of metal wires, cause grandmothers to make disappointed \u201ctch\u201d sounds and say, \u201cSuch a sweet boy he was.\u201d</p>"
      },
      'shoes': {
        html: "<p>In keeping with the source material, shoes and clothing are never referred to. (You cannot pick up or drop your clothing, after all!) Everyone is, de facto, naked.</p>\n<p>I believe no clothing is mentioned anywhere in Zork 1. Even the Thief is only ever described as carrying a large bag. Perhaps the whole game is more titillating than we thought...</p>\n<p>(I suppose there\u2019s a machine described as \u201creminiscent of a clothes washer\u201d, which implies the existence of clothes washers, but it\u2019s pretty indirect.)</p>"
      },
      'torch': {
        html: "<p>I burn my candles at both ends;<br>\nThey will not last the night;<br>\nFor after 40 turns have passed<br>\nThey\u2019ll run straight out of light.</p>\n<p>In addition, I am sorry about the plum-sized diamond that you left in the pressure machine.<br>\nIt was so beautiful and so delicious.<br>\nYoho.</p>"
      }
    }
  },
  child_of_fire: {
    key: 'child_of_fire',
    title: "Child of Fire",
    author: "Harry Connolly",
    html: "<p>\u201cA reminder that \u2018strong female character\u2019 can include \u2018terrifyingly ruthless sorceress\u2019.\u201d</p>",
    item: 'ghost_knife',
    snippetcount: 3,
    snippets: {
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cSpare him his life from this monstrosity!\u201d</p>"
      },
      'handprint': {
        html: "<p>The barrier cools, the indigo glow fading. After a few minutes it looks like plain sheet steel again. Even if you know it isn\u2019t.</p>\n<p>\u201cWill that\u2014\u201d</p>\n<p>I\u2019m interrupted by a violent <em>bang</em>. The barrier doesn\u2019t quiver, but light flares from a spot at chest height. Blue-hurting light, the outline of a human hand.</p>\n<p>Human. Hah.</p>\n<p>The Peer doesn\u2019t quiver either. \u201cIgnore it. It will pound away for a few days, until it runs out of energy.\u201d</p>\n<p><em>Bang. Bang.</em> Another couple of glowing handprints are slammed alight from behind the steel. \u201cYou\u2019re sure about that.\u201d</p>\n<p>He doesn\u2019t answer, of course. He\u2019s already stumping away towards the pickup.</p>"
      },
      'ln_bottle': {
        html: "<p>Just because it <em>looks</em> like a fat, oily snake doesn\u2019t mean it has the biology of a snake. Or any biology at all. Or anatomy.</p>\n<p>As you discover when you put a bullet in the thing and it bursts like an overpressurized gas cylinder. The <em>crack</em> half-deafens you and blows out every window in the building. You stagger outside, wheezing the bite of some ozonic taint from your lungs. Maybe it will corrode you from the inside. Tomorrow\u2019s problem.</p>"
      }
    }
  },
  a_matter_of_oaths: {
    key: 'a_matter_of_oaths',
    title: "A Matter of Oaths",
    author: "Helen Wright",
    html: "<p>\u201cFar-future queer-positive proto-cyberpunk in space; with a deft, sure touch at constructing and conveying society. Obscure but worth remembering.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'footnote': {
        html: "<p>* Whoever drew up the Oaths for the Guild and Emperors was very, <em>very</em> careful about wording.</p>"
      },
      'plasm_pen': {
        html: "<p>The signals pattern of a webroom aren\u2019t written in ink or even shub-conductor. However, it\u2019s often simplest to imagine them as if they were.</p>\n<p>\u201cThere, on the left.\u201d I drew a long arc around the side of Khorya\u2019s position and circled the discontinuity.</p>\n<p>\u201cAre you sure? We\u2019re blind that far out.\u201d</p>\n<p>\u201cSee the line shivering, there, at the edge? That\u2019s ship flux.\u201d</p>\n<p>\u201cI\u2019ll take your word for it.\u201d The Commander marked a series of circles. \u201cLike this, then.\u201d</p>\n<p>I shook my head. \u201cWe can\u2019t pick our way in.\u201d I drew a single spline. Straight in, straight through. Pick our points as we go.\u201d</p>\n<p>The Captain clicked her teeth. \u201cOne day that trick isn\u2019t going to work.\u201d</p>\n<p>I beamed. \u201cYou say that when you know it <em>will</em>.\u201d</p>\n<p>She glared back, sour and familiar as a stained tea-mug. \u201cWhen you say <em>that</em>, you look like a smug tomcat. Fine.\u201d</p>"
      },
      'ghost_knife': {
        html: "<p>The problem with a weapon that only kills immortals is that you may not <em>know</em> that you\u2019re immortal until the weapon kills you.</p>"
      }
    }
  },
  the_poison_belt: {
    key: 'the_poison_belt',
    title: "The Poison Belt",
    author: "Sir Arthur Conan Doyle",
    html: "<p>\u201cI think this is the first time I\u2019d seen \u2018ether\u2019 used in the speculative-physics sense, rather than the chemical. I was very confused.\u201d</p>\n<p>\u201cVinge was totally riffing off this, wasn\u2019t he?\u201d</p>\n<p>\u201cAbsolutely.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cToo late, my time has come;<br>\nSends shivers down my spine,<br>\nBody\u2019s aching all the time.\u201d</p>"
      },
      'perfume': {
        html: "<p>More penetrating than any vapor, more subtle than any perfume, the altered ether slipped through and around and within the planet.</p>\n<p>The effect on human life \u2013 terrifying as that seemed to those humans who foresaw its coming \u2013 was entirely incidental. Slight differences in the rates of certain chemical reactions spelled slow debilitation to the delicate workings of the human brain. But that was a mere ripple rolling across the surface of physical law \u2013 as leviathans shifted in the depths.</p>\n<p>The true intent of the \u201cpoison\u201d ether \u2013 and it was indeed Intended \u2013 involved forces nameless and unperceived on the surface of the Earth. Far in the burning depths of the world, these forces become paramount. The roil of molten iron, stirred by the planet\u2019s rotation, develops vortices of subtle complexity. As the new ether passes within \u2013 sliding through the bonds that hold the world itself together \u2013 those vortices alter, refract, and multiply.</p>\n<p>(One might consider the resemblance of this metallic fluid to the humors of cellular surface life.)</p>\n<p>It is not our place to recount these consequences. As we know, and have cause to rejoice, the ether belt was narrow; surface life was only momentarily impeded. But at the core of our planet, the wave of change has not ceased. It builds and grows. It feeds on itself and on subterranean resources which were aeons in preparation.</p>\n<p>When the catalysis reaches fruition (that word!), nothing in or on the world will remained untouched.</p>"
      },
      'water': {
        html: "<p>In fact, the \u201cpoison\u201d belt was merely the century\u2019s most obvious fluctuation in the ether. Our Earth is continually passing through minute ripples in the character of physical law. Most are too subtle in their effects to make any impression on our awareness.</p>\n<p>Some few rise to the level of a fractional shift in some sensitive scientific experiment. These are invariably ascribed to experimental error. One might say the experiment is being conducted in an erroneous location \u2013 a parochial outlook, to be sure.</p>\n<p>Very occasionally, the oceans crystalize for a day, or the skies turn orange, or every skazlorl on Earth crumbles out of the sky in a shower of dust. Such catastrophes \u2013 like the one recently avoided \u2013 are once in a myriad of years... or twice in a year, if the currents of space should so fall.</p>"
      },
      'ln_bottle': {
        html: "<p>\u201cGood heavens, you\u2019ll suffocate us all!\u201d</p>\n<p>\u201cYou <em>must</em> label your gas cylinders more carefully.\u201d</p>\n<p>\u201cIt says \u2018nitrogen,\u2019 my good man, clear as day.\u201d</p>\n<p>\u201cIt says \u2018n\u2014\u2019 and the most dramatic flourish a grease-pencil could produce, but not \u2018nitrogen.\u2019 Possibly \u2018new cylinder\u2019 or \u2018next refill.\u2019\u201d</p>\n<p>\u201cYou may mock my scientific expertise or my worldly experience, sir, but if you begin to mock my handwriting\u2014\u201d</p>\n<p>\u201cOh, do shut up and pass me the \u2018ozymandias.\u2019\u201d</p>"
      }
    }
  },
  the_high_house: {
    key: 'the_high_house',
    title: "The High House",
    author: "James Stoddard",
    html: "<p>\u201cPretty much all of my psychoarchitectural kinks wrapped up in one volume. Plus sequels.\u201d</p>",
    item: 'clock_key',
    snippetcount: 3,
    snippets: {
      'knife': {
        html: "<p>Oh, show me the blade, come <em>closer</em>.</p>"
      },
      'torch': {
        html: "<p>But when the torch flared up, it wasn\u2019t a statue at <em>all</em>.</p>"
      },
      'volcano': {
        html: "<p>Five volcanoes are known within the Halls. Three are active. Two host living firedrakes. Two (others) are indigenous spirits with which the Master holds acknowledged treaties.</p>\n<p>In the indicated regions, lava regularly pools and flows down the hallways. The walls are covered in asbestos-paper, which must be regularly re-hung. References to a children\u2019s game are taken very seriously by the inhabitants...</p>"
      }
    }
  },
  a_void: {
    key: 'a_void',
    title: "A Void",
    author: "Georges Perec (tr. Gilbert Adair)",
    html: "<p>\u201cIt\u2019s just too bad that author\u2019s, um, <em>nom</em> contains four of that symbol...\u201d</p>\n<p>\u201cYes, yes, we get the joke.\u201d</p>\n<p>\u201cHush, you.\u201d</p>",
    item: 'no_e',
    snippetcount: 3,
    snippets: {
      'torch': {
        html: "<p>An unlit torch is a thing of possibility. It might burn; it <em>may</em> burn; but will it burn? You cannot say.</p>"
      },
      'coin': {
        html: "<p>This coin has an oblong gap, a hub around which it could spin. It might hail from a far nation. Or, upon inquiry, you might find it a mark of a drill or awl.</p>"
      },
      'volcano': {
        html: "<p>A small volcano? A tiny rift, burning forth a fury of Gaia\u2019s wrath. Tiny sacrificial gifts turn to ash within.</p>"
      }
    }
  },
  lord_darcy: {
    key: 'lord_darcy',
    title: "Lord Darcy",
    author: "Randall Garrett",
    html: "<p>\u201cCleverest author of his generation. We will never forget the uncle from Man.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'knife': {
        html: "<p>\u201cSo what <em>would</em> you use a dull knife for? Symbolically speaking.\u201d</p>\n<p>One might perform a ritual to sever a psychic connection while maximizing shock and suffering. Of course that is Black Magic.</p>\n<p>Or one might use the dull knife as a tool of inscription upon a soft medium. Clay, or wax, or (symbolically) flesh in the aspect of clay.</p>\n<p>The Quit Rents ceremony \u2013 and yes, it is maintained in the Angevin Empire \u2013 is well-known as requiring a sharp knife and a dull one. These invoke continuity; the dull knife is unfinished and must be sharpened, whereas the sharp knife is to be used and therefore dulled. Notionally they trade places in the following year, and thus ensure that the ceremony must be repeated ad infinitum.</p>\n<p>(No, they don\u2019t <em>actually</em> switch roles. It doesn\u2019t even have to be the same knives. We just re-use them because we\u2019re cheap.)</p>"
      },
      'plasm_pen': {
        html: "<p>Drawing diagrams in blood is not, in itself, Black Magic. The potent symbol may be of life, death, wounding; the intent may be to steal strength, or sacrifice it, or give it as a gift.</p>\n<p>Nonetheless, when the blood is splashed in dripping lines across a filthy tenement wall, a prudent investigator does not hesitate to call for a licensed sorcerer and a priest. No benificent working of blood encompasses <em>wasting</em> the stuff.</p>"
      },
      'lead_ball': {
        html: "<p>The relevancy of a bullet is, primarily, to the gun that fired it. This is textbook stuff. What the textbooks won\u2019t tell you, my lord, is that antique weapons like this musket are a little different. The soft lead ball takes impressions more easily than a modern jacketed bullet. And so...</p>\n<p>Yes. You see, here, the ball glanced off the third rib. That will have left an impression on the lead. If you\u2019ll give me a moment.</p>\n<p>(Chanting, symbols, a dusting of powder. Then: thunder.)</p>\n<p>(The men pick themselves up, blinking, and dust themselves off.)</p>\n<p>So \u2013 are you injured? I apologize. If you had warned me that there might be a second bullet <em>in</em> the wound, I might have \u2013 well, of course I\u2019ve mentioned it. You recall during the affair d\u2019Avandar, in...</p>\n<p>Yes, I\u2019m sure you\u2019ll remember next time.</p>"
      },
      'glowpepper': {
        html: "<p>Black Magic is a matter of symbolism and intent. Green Magic is a matter of etymology and bluster. Red Magic is a matter of inquiry and ferment. Yellow Magic is a matter of economics and unrest. Orange Magic is a matter of warranty and structure. Violet Magic is a matter of solidity and consent. Beige Magic is a matter of neurotransmitters and interpretation. Lavender Magic is a matter of reverence and lament. Grey Magic is a matter of fossilization and assent.</p>"
      }
    }
  },
  codex_seriaphinianus: {
    key: 'codex_seriaphinianus',
    title: "Codex Seriaphinianus",
    author: "Luigi Serafini",
    html: "<p>\u201cA codex? It\u2019s all codices in here. Not a scroll or clay tablet in sight.\u201d</p>\n<p>\u201cThere are many codices but only one Codex, my friend.\u201d</p>",
    item: 'glowpepper',
    snippetcount: 3,
    snippets: {
      'clock_key': {
        html: "<p>You can wind the fish from the faucet. You can wind the legimals and the ice cream ladybugs. You can wind the Rosetta goo and the street-sign nomad\u2019s street signs. You can wind the crocogasm, you can wind the rainbow flitter, you can even wind the indexes and the page numbers.</p>\n<p>I don\u2019t know what happens if you do any of that. If the book explained, the book would be <em>much much longer</em>.</p>"
      },
      'handprint': {
        html: "<p>The handprint is made of bees. Or possibly it turns into bees, or bees come out of it. They\u2019re fat fuzzy friendly-looking bees, anyway, so you\u2019re not too bothered.</p>"
      },
      'question': {
        html: "<p>\u201cSo why <em>did</em> Bodhidharma cross from India into China?\u201d</p>\n<p>\u201cTo get to the other side.\u201d</p>"
      }
    }
  },
  godel_escher_bach: {
    key: 'godel_escher_bach',
    title: "G\u00f6del, Escher, Bach: an Eternal Golden Braid",
    author: "Douglas Hofstadter",
    html: "<p>\u201cThis is where Achilles met the Tortoise, you know.\u201d</p>\n<p>\u201cAt the end of the infinite series?\u201d</p>\n<p>\u201cExactly. Achilles was going forwards, the Tortoise was going backwards \u2013 relatively speaking \u2013 and the Crab...\u201d</p>",
    item: 'strange_loop',
    snippetcount: 4,
    snippets: {
      'strange_loop': {
        html: "<p>You are now reading <em>G\u00f6del, Escher, Bach: An Eternal Golden Braid</em>.</p>\n<p>You discover a <a href=\"#\" onclick=\"return evhan_strangeloop();\">strange loop</a> here.</p>"
      },
      'question': {
        html: "<p>The White Knight jumps up and asks a question which the Red Knave can answer if and only if the Halting Problem is solvable. They cheer, high-five each other, and go off in search of a beer. Achilles and the Tortoise are left speechless.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cIs this the real life?<br>\nIs this just fantasy?\u201d</p>"
      },
      'elder_sign': {
        html: "<p><em>Lovecraft, Spacecraft, Tradecraft: An Eternal Gelid Mystery Lying Beyond the Stars</em></p>\n<p>(...Work in \u201cwarcraft\u201d and \u201cspellcraft\u201d and we can shoot the moon, genre-wise! Speaking of which, you\u2019ll want to keep an eye on the Moon. And your aim. How big a gun do you have?)</p>"
      }
    }
  },
  digger: {
    key: 'digger',
    title: "Digger",
    author: "Ursula Vernon",
    html: "<p>\u201cThe poops are square because that\u2019s how an <em>engineer</em> would do it.\u201d</p>",
    item: 'mining_helmet',
    snippetcount: 4,
    snippets: {
      'glowpepper': {
        html: "<p>At the end of a low crawlway, you find a subterranean vegetable patch. Vines twist up the stalagmites; fat pallid tomatoes and dim-glowing peppers dangle from them. Shapeless shadows tend the garden, whispering to each other of their upcoming feast.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cCaught in a landslide,<br>\nNo escape from reality.\u201d</p>"
      },
      'hula_hoop': {
        html: "<p>The man opens his palms. Blue fires dance briefly upon them.</p>\n<p>The woman quickly takes two steps to the left. She then strikes her staff upon the ground, which groans like unto a collapsing mountain.</p>\n<p>The man staggers. He shouts one syllable of stripped time before the sand liquifies beneath his feet.</p>\n<p>The woman\u2019s eyes burn white. A strand of her hair turns silver, but she advances and prods the patch of roiling sand into which her opponent has vanished. Then she shifts one step back, just before the sand explodes upwards in a hissing skin-stripping geyser.</p>\n<p>The man hangs in the air. A narrow torus surrounds his body. It gleams with a dull white shine, like unto bleached bone, but spiralled in pink and blue.</p>\n<p>\u201cA hula hoop? Really?\u201d she asks.</p>\n<p>\u201cBest I could do.\u201d He shrugs. \u201cShall we finish this?\u201d</p>\n<p>\u201cGive my regards to Wham-O,\u201d she says obscurely, and rains dark energies down.</p>"
      },
      'perfume': {
        html: "<p>There are several cultivars of \u201cwarrior herbs.\u201d Yes, they all mostly smell like basil, but compounded with variations of dread, blood, fear, or blinding violence.</p>\n<p>Colognes of these mixtures sell well on the foreign markets, depending on cultural import. It makes travel a confusing habit if you are a scent-hunter.</p>"
      }
    }
  },
  watchmen: {
    key: 'watchmen',
    title: "Watchmen",
    author: "Alan Moore, Dave Gibbons",
    html: "<p>\u201cIt\u2019s been three minutes to midnight for the past 35 years.\u201d</p>",
    item: 'perfume',
    snippetcount: 4,
    snippets: {
      'button': {
        html: "<p>\u201cI pushed the button thirty-five minutes ago.\u201d</p>\n<p>\u201cOh yes? Well, I pushed <em>this</em> button <em>forty</em> minutes ago.\u201d</p>\n<p>\u201cYour thoughts betray you. I pulled this lever an hour ago.\u201d</p>\n<p>\u201cBut I placed this trash can two hours ago\u2014\u201d</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cThunderbolt and lightning, very, very frightening!\u201d</p>"
      },
      'clock_key': {
        html: "<p><em>Clock works for the clockwork gods!</em></p>"
      },
      'question': {
        html: "<p>\u201cQuis custodiet ipsos custodes?\u201d</p>"
      }
    }
  },
  the_flight_of_dragons: {
    key: 'the_flight_of_dragons',
    title: "The Flight of Dragons",
    author: "Peter Dickenson",
    html: "<p>\u201cThe Dragon, the George, and the enormous sacs of hydrogen...\u201d</p>\n<p>\u201cNot a George! They made that up for the movie.\u201d</p>",
    item: 'draconic_mask',
    snippetcount: 3,
    snippets: {
      'volcano': {
        html: "<p>Of course, the reason that dragons nested in dormant volcanoes was the currents of steam and hot air. Such light and relatively weak creatures benefited greatly from any kind of updraft.</p>\n<p>One might ask why dragons were not associated with geysers, hot springs, and other geothermal locations. In fact they were. Iceland, in particular, was infested with dragons in the pre-settlement period. However, the early Icelanders brought an weapon whose anti-draconic potency was scarcely realized by them: the sheep.</p>\n<p>The intelligent, independent Iceland sheep ranged all over the island (as they still do). Their horns are sufficient to tear dragon skin; their wool is oily and resistant enough to protect them from dragon acids. And, most importantly, their eyes are located on either side of their head. Without the naturally binocular vision of humans and other predators, the fascination of dragon eyes is sharply reduced...</p>"
      },
      'ginger_beer': {
        html: "<p>The secret of dragon flight? Fizzy Lifting Drink!</p>\n<p>Fizzy Lifting Drink also supports Giant Eagles, floating cities, islands drifting Roger-Dean-like through the Empyrean, and the upper end of the Tower of Babel. By exclusive agreement. Accept no substitutes... not if you want to keep your head in the clouds.</p>"
      },
      'ln_bottle': {
        html: "<p>A hydrogen dragon, he\u2019s a beast;<br>\nA nitrogen dragon, she\u2019s been fleeced;<br>\nBut I will bet a copper flagon<br>\nThere isn\u2019t any boron dragon.</p>\n<p><em>(Mnemonic for recipe for high-temperature superconductor, collected from the Dark-energy Reactive Accelerator/Gatherer Observable Nucleator engineering team.)</em></p>"
      }
    }
  },
  what_is_the_name_of_this_book: {
    key: 'what_is_the_name_of_this_book',
    title: "What Is the Name of This Book?",
    author: "Raymond Smullyan",
    html: "<p>\u201cSo what <em>was</em> the name of that book?\u201d</p>\n<p>\u201cI don\u2019t know. That one wasn\u2019t in the Answers section.\u201d</p>",
    item: 'question',
    snippetcount: 4,
    snippets: {
      'strange_loop': {
        html: "<p>The knave tells a story which, <em>if</em> it were true, would tell you the way out of the library. Unfortunately, you are unable to hear the story, and in any case you know it\u2019s false. However, the knight, who <em>was</em> able to hear the story, says: \u201cAh, now I understand. It was a dark knight, a stormy knight, and suddenly...\u201d</p>"
      },
      'puzzle_piece': {
        html: "<p>Each piece of the puzzle is a solution to the previous puzzle and a hint to the next puzzle. The meta, of course, is a proof of the Incompleteness Theorem. Have fun!</p>"
      },
      'footnote': {
        html: "<p>* In fact I <em>am</em> a egotist! And a hedonist. Good grief, look at this game you\u2019re playing.</p>\n<p>Whether I am also a primitive animist is still up in the air. Go ahead, ask the air.</p>"
      },
      'ghost_knife': {
        html: "<p>Now, if the knife severs spells, we have to ask what happens if two ghost knives try to cut each other. Can you even <em>make</em> two of them? Is there some kind of uniqueness constraint?</p>\n<p>We naively think of magical implements as having a total ordering. \u201cCan the Universal Solvent dissolve the One Ring?\u201d Not that this D&amp;D thinking gets us far. In real life, vulnerabilities are contextual; lots of things can cut through a  SawzAll!</p>\n<p>The ghost knife is a spell, and a dead thing, and... is it also a spirit? That would be interestingly consistent.</p>\n<p>Could you make a variant knife that only severs two of the three? If not, we have learned something.</p>"
      }
    }
  },
  richelieu: {
    key: 'richelieu',
    title: "Richelieu",
    author: "Miguel Berrocal",
    html: "<p>\u201cI have this one.\u201d</p>",
    item: 'puzzle_piece',
    snippetcount: 3,
    snippets: {
      'clock_key': {
        html: "<p>The brass sculpture doesn\u2019t seem to have a gap... oh, wait, it does. A tiny triangular opening between three of the brass shapes that form the Cardinal\u2019s forehead.</p>\n<p>The clock key snicks into place. You twist; it catches and winds... something.</p>\n<p>The sculpture\u2019s eyes open.</p>\n<p>\u201cWell?\u201d</p>\n<p>You try to speak. Repeatedly.</p>\n<p>Richelieu runs out of patience in, apparently, his first half-minute of clockwork consciousness. \u201cI\u2019ll start. Yes, I\u2019m a talking brass head. Read your Dee, it\u2019s all there. Yes, I answer questions. No, I\u2019m not actually Armand Jean du Plessis, but you can call me Richelieu. No, I\u2019m not a demon. Yes, if I were a demon I\u2019d lie about it, but nothing I can say will help there. Your turn.\u201d</p>\n<p>You surface from a haze of genre awareness. \u201cHow many questions?\u201d</p>\n<p>\u201cHow many questions? What am I, a coin-operated carnival barker? As many questions as you want. I don\u2019t have anything else to do, unless you want to set me up with Netflix.\u201d</p>\n<p>\u201cDo you\u2014\u201d</p>\n<p>\u201cYes, I know about Netflix. I know about lots of things. Not everything. You can ask me anything, but the answer might be \u2018I don\u2019t know.\u2019 Sorry, I should have started with that.\u201d</p>\n<p>\u201cCan you\u2014\u201d</p>\n<p>\u201cI can\u2019t predict the future. My guesses are okay.\u201d</p>\n<p>\u201cCan you\u2014\u201d</p>\n<p>\u201cI can\u2019t read your mind. But on that topic, my guesses are <em>excellent</em>. I have,\u201d and the windless brass manages to sigh, \u201cbeen doing this a long time.\u201d</p>"
      },
      'no_e': {
        html: "<p>\u201cRich Liu?\u201d</p>\n<p>\u201cYes?\u201d</p>\n<p>\u201cI have some questions for you.\u201d</p>"
      },
      'footnote': {
        html: "<p>Cardinal Richelieu\u2019s<br>\nFran\u00e7aise Acad\u00e9mie<br>\nformally rules over<br>\nlanguage and words;</p>\n<p>Having linguistical<br>\nutmost authority<br>\nwins it the envy of<br>\npedants and nerds.</p>"
      }
    }
  },
  the_knot_shop_man: {
    key: 'the_knot_shop_man',
    title: "The Knot-Shop Man",
    author: "David Whiteland",
    html: "<p>\u201cYou have to untie the knot before you can read them.\u201d</p>\n<p>\u201cWhy?\u201d</p>\n<p>\u201cAlso, the four volumes are unordered.\u201d</p>\n<p>\u201cWhy?\u201d</p>",
    item: 'coin',
    snippetcount: 3,
    snippets: {
      'strange_loop': {
        html: "<p>A strange loop is a knot, almost by definition. The little man nods and takes it from you. He turns it over in his fingers and hands it back.</p>\n<p>\u201cYour fate is bound to... well, this isn\u2019t easy to explain. It\u2019s bound to the idea of <em>having</em> a fate, which, as you know, not everybody does. Now you do, but the only thing you\u2019re fated to do is meet your fate. Does that answer your question?\u201d</p>"
      },
      'puzzle_piece': {
        html: "<p>The center of the city is a maze, and the maze can be threaded by tracing the pinprick scratches in the brass piece. He followed the path, eyes closed, fingers following the delicate chain of marks.</p>\n<p>Fourth left. Second right. Pass under the belvedere balcony. Climb the garden bridge, hop the railing on the left, drop down to the path below. Go right \u2013 there is no right, until you turn the correct stone, and then there is.</p>\n<p>When he reached the end of the path, he was standing where he had begun it. That is the nature of a knot.</p>"
      },
      'clock_key': {
        html: "<p>You\u2019d think a city of knots would have plenty of clockwork, but in fact there isn\u2019t a clock anywhere in Arxnodorum. Something about keeping the sheaf flat on the T axis so that it can be knotted in the X, Y, and Z axes. If you wear a watch, you\u2019ll discover that while you\u2019re in the city, the watch tells you how far you are from the entrance. Or exit. Depending.</p>\n<p>(Some people report that you can wind your watch by walking backwards. Others say this just shorts the battery.)</p>\n<p>Time doesn\u2019t exactly pass in Arxnodorum. There <em>is</em> time, but it doesn\u2019t completely order events. (This is key, no pun intended.) No journey to the City happens before or after any other journey, and you can run into any visitor from any point in history, although you probably won\u2019t.</p>\n<p>Emigrants from the City \u2013 and there are many, although, again, you probably won\u2019t meet them \u2013 say that it takes them years to get used to the way their compasses start counting upwards on the day they leave.</p>"
      }
    }
  },
  house_of_leaves: {
    key: 'house_of_leaves',
    title: "House of Leaves",
    author: "Mark Z. Danielewski",
    html: "<p>\u201cWhy blue, though?\u201d</p>\n<p>\u201cI don\u2019t know. Why \u2018house\u2019?\u201d</p>",
    item: 'footnote',
    snippetcount: 4,
    snippets: {
      'mining_helmet': {
        html: "<p>\u201cA terrible mess, to be sure. But I see nothing that couldn\u2019t be put to rights by a good surveying grid and a series of solid support braces.\u201d</p>"
      },
      'strange_loop': {
        html: "<p><em>Footnote:</em> This story is clearly a reference to the Castle Timeless, or the Manse Without Doors, or the Subcutanean Passage... A footnote in Hodgson describes the Oldest House and then refers to a note on this page of the House of Leaves...</p>"
      },
      'button': {
        html: "<p>You hold the button up to the doorpost. It melds unfussily into the wood.</p>\n<p>You press the doorbell. The door opens, and closes behind you.</p>"
      },
      'knife': {
        html: "<p><em>You find a hilt without a blade.</em><br>\n<em>You feel the sun but see no shade.</em></p>\n<p>The knife hilt is flat across the guard \u2013 no stub of broken metal nor even a gap where one might fit. I reached to pick it up, and then I didn\u2019t. I couldn\u2019t tell you why. It looked like it would fit my hand nicely, and I never, ever wanted to touch the thing in my life.</p>\n<p>The next pedestal was empty. The next after that held a few shards of broken glass. The light of my torch bent oddly through them. What would it have been like to look through that glass when it was whole? But it wasn\u2019t.</p>\n<p><em>You pluck an apple gone to mold.</em><br>\n<em>You hold a hand that\u2019s long gone cold.</em></p>\n<p>I braced myself for a rotten apple or a pile of maggots or anything. Instead, the next pedestal had a neat hole bored in the center. I couldn\u2019t see anything down inside and didn\u2019t try leaning closer.</p>\n<p>The pedestal after that... okay, there\u2019s the pile of maggots.</p>"
      }
    }
  },
  harry_potter: {
    key: 'harry_potter',
    title: "Harry Potter and the Philosopher\u2019s Stone",
    author: "J. K. Rowling",
    html: "<p>\u201cUm, you\u2019re missing the seventh book in the series.\u201d</p>\n<p>\u201cYeah, I kind of lost interest. And that was back before, you know, all the tweeting.\u201d</p>",
    snippetcount: 5,
    snippets: {
      'glowpepper': {
        html: "<p>Glowpepper salad; knucklavee sashimi with whirling neeps; an amuse bouche of pickleberry pie; a haunch of roast protons and simile; foamed phoenix candy dusted with fairy gold. Prix Fixe only on a wizard\u2019s hundredth birthday.</p>"
      },
      'draconic_mask': {
        html: "<p>\u201cThe mask transmorphs you into a given form of dragon, in this case a Florentine Silverscale... I don\u2019t recommend the practice, however. A wizard may have many reasons to take on the form of a dragon, but I cannot recall a dragon ever deciding that it was a good idea to turn into a wizard.\u201d</p>"
      },
      'perfume': {
        html: "<p>The student spent nearly six months brewing the perfume. Macerating the sunflowers was the work of an afternoon. But the resulting mash had to be aged, strained, cold-extracted with oil; aged again, emulsified with obscure alcohols, sublimated, condensed, shaken, allowed to dry; that was the first two months. It went on from there.</p>\n<p>At the end of the process, the student had a vial of essential oil which smelled of almost exactly nothing at all. Which, as you know, is what sunflowers smell like.</p>\n<p>When dabbed on the wrist, the perfume had notes of rage, regret, and the difficulty of climbing a rope. After drying, it gave the distinct sense of missing a favorite meal which had never been properly made and now never would be.</p>\n<p>The student frowned, shook her head, and began gathering dahlias.</p>"
      },
      'ginger_beer': {
        html: "<p>\u201cGinger? I don\u2019t understand. It\u2019s not made of butter? Or phoenix spit? Or starshine?\u201d</p>\n<p>\u201cPumpkins.\u201d</p>\n<p>\u201cPumpkins, exactly. All the usual options. Making a drink out of... <em>ginger</em>... I mean...\u201d</p>\n<p>\u201cMaybe it\u2019s a potion ingredient.\u201d</p>\n<p>\u201cMaybe it\u2019s a torture device.\u201d</p>\n<p>\u201cShut up.\u201d</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cI\u2019m just a poor boy, nobody loves me.<br>\nHe\u2019s just a poor boy from a poor family...\u201d</p>"
      }
    }
  },
  revenant_gun: {
    key: 'revenant_gun',
    title: "Revenant Gun",
    author: "Yoon Ha Lee",
    html: "<p>\u201cI noticed your name in the acknowledgements.\u201d</p>\n<p>\u201cIt was nice of him to mention me! I just commented on the blog about how ritual magic might affect mathematics, and he ran with it.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'draconic_mask': {
        html: "<p>Bring the swarm around. Mask of the Dragon is a complex formation, with several stages of evolution which must be matched precisely to the local gravity and pairwise angle of regret. The computation of these stages is itself an exotic effect.</p>\n<p>Detach the key nodes, bring them into play. The effect of the Dragon\u2019s Mask is not often applicable, or even employable, in combat. It would be an excellent way to improve the fertility of certain root vegetables, if the Hexarchate were to ever remotely consider wasting the time of Kel soldiers on agriculture.</p>\n<p>Begin the condensation of your prime elements. Hope the pilots are able to hold their courses. If one fails, nothing will emerge alive from this space, not for a thousand years of any calendar.</p>\n<p>If the Mask is executed with exacting care... nothing will change. The battle will still be won, or lost. But the <em>meaning</em> of the battle will be gone.</p>\n<p>Kel Command has no formed doctrine on whether the Mask of the Dragon is to be used when the battle is about to be won, or when it is all but lost.</p>"
      },
      'puzzle_piece': {
        html: "<p>The vault of the most violently terrifying exotic blueprints in the Empire is secured within a fortress. That fortress is surrounded by a dimensionally naive shell-fortress, which is surrounded by a zone of unstable space-time, which is surrounded by mines.</p>\n<p>The door to the vault is locked with a simple mechanical lock and an irregular brass key with no exotic safeguards whatsoever. This is widely regarded as a Shuos joke.</p>\n<p>(The actual Shuos joke, less discussed, involves why you would build such an obvious honeypot in the first place.)</p>"
      },
      'glowpepper': {
        html: "<p>I mean, you <em>could</em> pickle it. The manual says you can pickle anything. If it still glows after six months buried in a jar, you might want to reconsider eating it.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cKujen, just killed a man,<br>\nPut a gun against his head,<br>\nPulled my trigger, now he\u2019s dead...\u201d</p>"
      }
    }
  },
  legal_daisy_spacing: {
    key: 'legal_daisy_spacing',
    title: "Legal Daisy Spacing",
    author: "Chris Winn",
    html: "<p>\u201c25.5 millimeters, it turns out.\u201d</p>\n<p>\u201cI never knew.\u201d</p>",
    item: 'volcano',
    snippetcount: 4,
    snippets: {
      'hula_hoop': {
        html: "<p>Hula hoops may be employed to restrict the movement of mischievous wandering vines and shrubs. Full-on cases of arboreal drift require more stringent measures.</p>"
      },
      'footnote': {
        html: "<p>Footnote: That\u2019s 11.952941 daisies to the foot.</p>"
      },
      'glowpepper': {
        html: "<p>Is that fruit <em>deciduous</em>?</p>"
      },
      'question': {
        html: "<p>Ask a wisp of stratus cloud,<br>\nCumulus will lie,<br>\nCirrus mocks your question in the<br>\nNoctilucent sky.</p>\n<p>Tell a truth of thunderstorm,<br>\nNimbus asking why,<br>\nThe fog comes rolling over in the<br>\nMisting of an eye.</p>"
      }
    }
  },
  riddle_of_stars: {
    key: 'riddle_of_stars',
    title: "Riddle of Stars",
    author: "Patricia McKillip",
    html: "<p>\u201c\u2018What are three stars?\u2019 is not a proper riddle. This annoyed me <em>so much</em> when I was twelve.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'water': {
        html: "<p><em>What does water bring?</em></p>\n<p>The book was lined with the shapes of shells and the minute crystal motes of the sea. It asked few riddles, but they were obdurate. That line was the least yielding.</p>\n<p>Sages and seekers puzzled at it for two hundred years. Then shapeshifters drifted in from the sea, foam in their hair and eyes opaque as driftglass. There was war; then the Heir spoke to them, and there was peace, eventually.</p>\n<p>Years later, someone thought to show the sea-book to the sea-people.</p>\n<p>\u201cWhat is this? Water does not bring us. We stride the waves. What is the answer to this?\u201d</p>\n<p>The sages and seekers began to puzzle again.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cAny way the wind blows...\u201d</p>"
      },
      'question': {
        html: "<p><em>What is the difference between a question and a riddle?</em></p>\n<p>\u201cA question ends with its answer. An answered riddle is advice, wisdom, stricture, and a lesson in how much you have not yet learned.\u201d</p>\n<p><em>And the stricture?</em></p>\n<p>\u201cQuestions are safer.\u201d</p>"
      }
    }
  },
  orbit_18: {
    key: 'orbit_18',
    title: "Orbit 18",
    author: "Damon Knight (ed.)",
    html: "<p>\u201cThe rules of Moopsball! The first great nonsensical sport!\u201d</p>\n<p>\u201cThey were <em>published</em>?\u201d</p>",
    item: 'hula_hoop',
    snippetcount: 3,
    snippets: {
      'joystick': {
        html: "<p>The videogame equivalent, mentioned in the \u201cMemory Machine\u201d interstitial a couple of volumes later, involves a perhaps-infinite number of people wandering around a perhaps-infinite hexagonal labyrinth. (The <em>Doctor Who</em> influence is unstated but obvious.) Passages opened on a bizarre array of rooms, including wardrobes, gardens, laboratories, prisoners for alien monsters, and (rarely encountered) a lavatory. One could accumulate items, but they amounted to an array of futuristic junk.</p>\n<p>The game was described as accessible by modem, which would make it among the earliest \u201cdoor\u201d games \u2013 if it existed at all, which is highly doubtful.</p>"
      },
      'toy_soldier': {
        html: "<p>We each drew three tiles to begin, and laid them out: a true goal, a false goal, and a hidden goal. Then I shook the first five marbles from my gourd.</p>"
      },
      'shoes': {
        html: "<p>You go out to a Shoes game these days \u2013 I mean, you don\u2019t <em>go</em> to games these days. The crowd can\u2019t sing \u201cBlessed St. Shoe\u201d in a pandemic. But if you did, and you asked a dozen kids why they\u2019re <em>called</em> the Shoe Thieves, ten of \u2018em would tell you this guff about Cornelius Games and a shoe heist. Because they read the <em>wiki</em>.</p>\n<p>The twelfth kid wouldn\u2019t have any idea why the team is called the Shoe Thieves. They\u2019re there to watch some guys hit a ball. I got no beef with that kid.</p>\n<p>But the eleventh, ah, the eleventh kid would tell you the <em>real</em> story of how the Shoe Thieves got their name.</p>\n<p>...And they\u2019d tell it wrong. Everybody tells this damn story wrong. Here\u2019s what really happened.</p>\n<hr />\n<p>This was back in the Forties, when the team was still the Sioux City Sous Chefs. (You knew <em>that</em>, right? It\u2019s not in the <em>wiki</em>.) This was before the curses and the incinerations and the swarms of bees and all. You wouldn\u2019t know most of the roster; it wasn\u2019t a great team. Cornelius was pitching, sure enough, but there wasn\u2019t much else to the Chefs \u2013 except Sammy Paternoster.</p>\n<p>Sammy was old guard. He\u2019d started in 1920 as the hottest young bat in the league. Twenty-eight homers, and it was just Sammy\u2019s luck that some guy named Ruth was hogging all the press. But the Paternoster name brought the Chefs fans. They loved him.</p>\n<p>Now it\u2019s 1942, and Sammy, well, he can still hit a ball. But he\u2019s not the crackerjack kid he was. Thing is, like I said, the Sous Chefs had been mismanaged all to hell \u2013 ask me about Coach Chaise-Lounges sometime \u2013 and the fans didn\u2019t have much else to cheer for. So they kept showing up for the Paternoster name.</p>\n<p>So, in 1942, you might not know this, but America was short on a lot of stuff already. Rubber was expensive. So when a base wore out, the team didn\u2019t necessarily run out and buy a shiny new one. They made do with whatever they could find. It was patriotic.</p>\n<p>Spring game, 1942, Chefs versus the Pies \u2013 the Chicago Pies at that point, you know. And they didn\u2019t have a home plate. Now what? You gotta play ball. So the umpire pulled off his shoes and plopped them down in the dirt, and that was home plate.</p>\n<p>Eighth inning, tie game \u2013 these stories are always tie games \u2013 Sammy Paternoster is on second. Someone comes up to hit. No, I don\u2019t remember, it was either Gin or Simony. Right \u2013 it was Mickey Gin, because he can\u2019t remember if he\u2019s hitting right or left that day. He\u2019s still changing his mind when Trolo Pepper of the Pies starts the pitch, and ol\u2019 Pepperoni is a polite sonova so he tries to wind his pitch <em>back</em>, only you can\u2019t do that, and that\u2019s when Sammy sees his chance. He\u2019s off second like a shot. The crowd is screaming.</p>\n<p>Gin is so confused that he takes a swing, only Pepper hasn\u2019t actually pitched yet \u2013 his pitching arm is going round and round waiting for his brain to catch up \u2013 and Sammy Paternoster is heading for third. Pepper manages to let go the ball in the direction of third, only it\u2019s third base of the next ball field over, and while everyone\u2019s trying to figure <em>that</em> out, Sammy passes third and starts plowing for home.</p>\n<p>You see where this is going. Sammy Paternoster, has-been hero, probably in his last season, is going to win one final game for the Chefs by <em>stealing home base</em>. Which is a pair of <em>shoes</em>.</p>\n<p>And that\u2019s why they\u2019re called the Shoe Thieves... like hell! People love this story and it\u2019s pat nonsense. It didn\u2019t happen that way at all.</p>\n<p>See, Mickey Gin had <em>also</em> started to run, even though the ball never came anywhere near him. Just felt like a running kind of day, I guess. And Gin, the Switcheroo from Canadoo, was <em>running</em> southpaw that day. Backwards, I mean \u2013 towards third. Twenty feet out from home-shoe-plate, Gin slams straight into Paternoster coming the other way. They both go down in a flail. The Pies have found the ball by then, or <em>some</em> ball anyway, and they tag everybody out. And that\u2019s it for the game. The Pies pick up two runs in the ninth and Paternoster is out on a stretcher. Concussion, broken ankle, 46 years old, his game days are over.</p>\n<p>Truth! Sammy\u2019s laid up in the hospital for three days. They didn\u2019t know then what we know now about concussions, but they knew he\u2019d taken a serious hit. And the fans were all in a whirl, because their hero had stumbled. Sammy shoulda got those shoes. Sammy deserved those shoes. <em>Sammy needed those shoes.</em> So this plan got hatched.</p>\n<p>This one kid, big Chefs fan, she knows how to pick locks. I don\u2019t know how she learned, she never said. But in the dark of the Sioux City night, she sneaks over to Sammy\u2019s place and unlocks the door. And for the next three days, Chefs fans sneak in and leave shoes. They leave \u2018em in the icebox. They leave \u2018em on the coffee table. They leave \u2018em under the bed and under the stairs.</p>\n<p>I don\u2019t mean the Paternoster place was <em>cluttered</em> with shoes; I mean <em>artistic</em>. Circles of shoes, spirals of shoes. Floor-to-ceiling columns of interlocked shoes. A giant shoe made of shoes and pillows. Beautiful. And in the center of the living room, a banner saying \u201cWELCOME HOME SAMMY \u2013 WE GOT YOUR KICKS.\u201d</p>\n<p>And then Sally Shin Soo \u2013 that was her name \u2013 locks the place back up again, because they\u2019re not <em>burglars</em>. And everyone goes home.</p>\n<p>Now people have said a lot about Sammy Paternoster, but one thing nobody says is that he\u2019s a good patient. After three days in bed he\u2019s spitting horseshoe nails. The doctors want to keep him another day, but no, Sammy\u2019s up on crutches and raring to get home and get on with his life. Whatever that is. Not batting, but something.</p>\n<p>Only he can\u2019t find his shoes. The doctors had got them off his feet and then... what? The janitor says his teammates took them away. The Chefs guys say they didn\u2019t. The nurse says they got stashed in a locker with the rest of his stuff, only they aren\u2019t there. Sammy goes hopping out of the hospital on crutches, one foot in a cast and one in a cotton bootie, and he is <em>pissed</em>. His career is over, his big moment is bust, big deal, so what, but his <em>shoes</em> are gone? What has a man done to deserve <em>that</em>?</p>\n<p>Sammy might have been a little bit wound up in the head.</p>\n<p>The coach calls him a taxi \u2013 I can talk about Coach Chaise-Lounges, but he <em>cared</em> for his players \u2013 and Sammy rants at him the whole way home. \u201cA man doesn\u2019t have much in life,\u201d says Sammy, \u201cbut his health and his shoes, and his health can go any time.\u201d (I know, Sammy, says the coach.) \u201cAnd I may not be a ball player now, but I should have shoes. They can\u2019t even call me Shoeless Sammy because Joe spoiled that one for good,\u201d (he sure did, Sammy, but...)</p>\n<p>The taxi pulls up and Sammy stumps out, the coach is hopping around trying to help but Sammy is going right up the front walk. \u201cSo to hell with this game, coach! To hell with your team, and your doctors, and your hospitals.\u201d He grabs the door handle and turns to face the coach. \u201cThe whole world wants to kick me, and I can\u2019t kick back, because the whole world is nothing but a pack \u2013 of damn \u2013 <em>shoe thieves</em>!\u201d</p>\n<p>And Sammy yanks the door open, and spins around, and trips over the cat, and falls straight into a giant shoe made of shoes. And pillows. Which unbalances the tower of shoes. Which collapses onto him.</p>\n<p>I like to imagine a banner that says \u201cWE GOT YOUR KICKS\u201d fluttering gently down onto Sammy\u2019s head amid the noise and silence.</p>\n<p>Only the way Sammy tells it, he was cursing up a storm, and also some of those shoes smelled really bad.</p>\n<p>Also, Sammy didn\u2019t have a cat. I mean, not before that day. We never figured that one out.</p>\n<p>But that\u2019s the Paternoster story. The game kicked his ass, and the world kicked his ass, but the fans were there for him.</p>\n<p>They started calling the team the \u201cShoe Thieves,\u201d and of course it stuck, and then they had to move to Charleston because \u201cSioux City Shoe Thieves\u201d was way too much. Sammy got into coaching, and the Chefs, I mean the Shoes, picked up Sandy Kalfou and the Gloom Uncles and they started to be contenders again. And you know the rest. It\u2019s on the wiki.</p>\n<p>And if you ever wondered why the old 1950s Shoes cards showed Blessed St. Shoe as a little girl with a hairpin \u2013 well, you probably figured that out too.</p>"
      }
    }
  },
  spider_and_web: {
    key: 'spider_and_web',
    title: "Spider and Web",
    author: "Jason Shiga, Andrew Plotkin",
    html: "<p>\u201cYes, that\u2019s really what it says. Printed in an edition of one.\u201d</p>\n<p>\u201cThe <em>whole game</em>?\u201d</p>\n<p>\u201cNo, no, just an example chapter.\u201d</p>",
    item: 'button',
    snippetcount: 6,
    snippets: {
      'mining_helmet': {
        html: "<p>You swing your pickaxe, furiously hacking your way through the stony soil. There\u2019s got to be a sub-basement around here somewhere, right?</p>\n<p>Then your axe rings against old concrete. Aha! You redouble your efforts and a chunk of cinderblock falls away. On the other side, the laboratory...</p>\n<p>\u201cNo, I don\u2019t think so at all. There isn\u2019t a trace of mining activity anywhere in the complex. Don\u2019t you think that would be the first thing we checked?\u201d</p>\n<p><em>Blinding light\u2014</em></p>"
      },
      'strange_loop': {
        html: "<p>You open the door and discover an elaborate interrogation chamber. A figure is strapped into a steel chair, restrained with metal bands at wrist and forehead.</p>\n<p>The interrogator looks up from his monitors. \u201cDo you mind? I\u2019m sure you\u2019re not supposed to interrupt me for another thirty minutes.\u201d He returns his focus to his prisoner. \u201cPlease don\u2019t try to deceive me again. Was it A, B, or C who was your contact...?\u201d</p>"
      },
      'ln_bottle': {
        html: "<p>The explosive becomes inert at liquid-nitrogen temperatures. The electronic devices function, but the scan disruptor goes off-frequency and can\u2019t get a lock. The acid freezes. I suppose you could rub it on whatever you need to dissolve.</p>"
      },
      'water': {
        html: "<p>What do you think is this, <em>Hadean Lands</em>?</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cEasy come, easy go, will you let me go?<br>\nBismillah! No, we will not let you go. (Let him go!)<br>\nBismillah! We will not let you go. (Let him go!)\u201d</p>"
      },
      'question': {
        html: "<p>\u201cSo why <em>did</em> you resign?\u201d</p>"
      }
    }
  },
  the_hobbit: {
    key: 'the_hobbit',
    title: "The Hobbit",
    author: "J. R. R. Tolkien",
    html: "<p>\u201cIllustrated by the author. Did you know that?\u201d</p>",
    snippetcount: 3,
    snippets: {
      'clock_key': {
        html: "<p>The Shire has grandfather clocks, spring-strutted umbrellas, and fireworks. (Yes, Gandalf\u2019s fireworks were magic, but that means they were better than <em>ordinary</em> fireworks.)</p>\n<p>This isn\u2019t news; you can fill any Tolkien chat forum with weary sighs if you bring up anachronisms. I just think it\u2019s fun to imagine that all of Middle-Earth has this weird mix of tech levels and the author just didn\u2019t mention it.</p>\n<p>Minas Tirith is strung with cable-cars and pneumatic mail tubes. \u201cSend for Faramir...\u201d <em>Ka-thwoop!</em> The fastest way to get down from the upper keep is by zip-line.</p>\n<p>Rohan ferments all that horse poop in methane boilers to keep the longhouses warm.</p>\n<p>Bree is entirely roofed in photoelectric panels. The Prancing Pony has video poker machines; that\u2019s why it\u2019s so noisy.</p>\n<p>Elves, well, everything they do is magical by definition. You don\u2019t see the nanoengineers spinning that rope out of smart carbon and Z-bosons. (Yeah, Elves use the electroweak force like it was gaffer\u2019s tape. Gotta have made that light-of-the-suns out of something, right?)</p>\n<p>Everyone was down on Saruman\u2019s technology because it was so <em>crude</em>. Also, the White Wizard burned fossil fuels. The Valar had written extremely clear mandates that nobody was to touch the petroleum reserves. (The Dwarves practically made a religion out of going around the stuff.) Not even the Wise knew what they were saving it for, although Elrond occasionally made wistful comments about the \u201cHarley\u201d he was looking forward to riding when it became Harley time, six or eight thousand years ahead.</p>"
      },
      'knife': {
        html: "<p>A sensibly-sized sword, to a hobbit. And they do like everything sensible.</p>"
      },
      'ginger_beer': {
        html: "<p><em>Beer,</em> yes, obviously. Soft drinks? Do hobbits mix up honey and hops with just a bit of hand-cranked pressurization run over a vinegar and lime still?</p>\n<p>Of course the cola nut, like the sassafras root and the sarsaparilla vine, are New World or East Asian plants. But you somehow can\u2019t imagine the Shire without ginger. And the little people know how to brew <em>anything</em>.</p>"
      }
    }
  },
  good_omens: {
    key: 'good_omens',
    title: "Good Omens",
    author: "Terry Pratchett, Neil Gaiman",
    html: "<p>\u201cThe best of both of them.\u201d</p>",
    item: 'cassette',
    snippetcount: 4,
    snippets: {
      'coin': {
        html: "<p>It\u2019s a blackened silver coin with a beaky-looking face stamped on the front. It looks Roman. Probably Roman. It has nothing specifically in common with the sword or the scales, but you\u2019d pack them in the same shipping box without thinking about it.</p>\n<p>\u201cSorry I\u2019m late.\u201d</p>\n<p>\u201cCapitalism,\u201d says War grudgingly.</p>\n<p>\u201cLate, as in Late Capitalism,\u201d the man giggles. It\u2019s an annoying giggle. It makes you feel like you\u2019d have to pay to ignore it. You probably will.</p>\n<p>WHERE IS YOUR HORSE?</p>\n<p>\u201cSold it. Sold it. Figure I can borrow one when it\u2019s time.\u201d</p>\n<p>\u201cThe time is <em>now</em>,\u201d mutters Pollution.</p>\n<p>\u201cCan I borrow yours then?\u201d</p>"
      },
      'hula_hoop': {
        html: "<p>\u201cA demonically possessed hula hoop.\u201d</p>\n<p>\u201cYes.\u201d</p>\n<p>\u201cIs your brilliant idea.\u201d</p>\n<p>\u201cYes.\u201d</p>\n<p>\u201cBut it doesn\u2019t set people on fire or decapitate children or even curdle their milk cows.\u201d</p>\n<p>\u201cNo, no, what is this, the sixteenth century? London doesn\u2019t even have cows these days.\u201d</p>\n<p>\u201cThey must, I\u2019m sure I\u2019ve heard they deliver milk now,\u201d said the Adjutant-Duke, who had not been paying attention to centuries since the twelfth. \u201cSo in what way is it possessed?\u201d</p>\n<p>\u201cAh. In fact the hula hoop is not possessed by a demon. Technically, demons are possessed by the hoop. They are bound inside the marbles.\u201d</p>\n<p>\u201cSo when a child plays with the hoop, the demons roll around inside.\u201d</p>\n<p>\u201cYes.\u201d</p>\n<p>\u201cAnd this is evil?\u201d</p>\n<p>\u201cDemons are involved, so it is evil <em>by definition</em>. Demons are the physico-spiritual embodiment of evil. A demon cannot do good.\u201d</p>\n<p>The Adjutant-Duke considers this logic.</p>\n<p>\u201cPerhaps the demons could cackle as they roll?\u201d</p>"
      },
      'footnote': {
        html: "<p>* Not an accordion.</p>"
      },
      'shoes': {
        html: "<p>Attempting to apply the Theory of Socioeconomic Unfairness to Hell is a bit of a fool\u2019s errand. In Hell, shoes don\u2019t keep your feet dry to begin with. Hell shoes are 60% holes and 60% inward-pointing spiky bits. They catch fire in lava. Sometimes they leak a bit of lava from the heel in order to have something to catch fire in.</p>\n<p>In any case, you don\u2019t spend money on shoes, except in some of the more market-oriented Chinese Hells. Even then, having more money doesn\u2019t necessarily mean you get better shoes.</p>\n<p>(More <em>enviable</em> shoes, yes. <em>That</em> concept translates perfectly.)</p>"
      }
    }
  },
  the_severed_streets: {
    key: 'the_severed_streets',
    title: "The Severed Streets",
    author: "Paul Cornell",
    html: "<p>\u201cIf you\u2019re going to have a cameo of your favorite author, go <em>all the goddamn way</em> with it. Pour chocolate syrup on that cameo and then set it on fire.\u201d</p>",
    snippetcount: 5,
    snippets: {
      'handprint': {
        html: "<p>The letter is signed with a blackened handprint \u2013 full-size, not a drawing. Or maybe it is a drawing. Maybe some nasty bastard didn\u2019t set his hand on fire and hold it against the paper. Somebody\u2019s hand. Who knows at this point.</p>"
      },
      'coin': {
        html: "<p>A penny buys you one;<br>\nA finger buys you ten.<br>\nA drop of blood, a sausage;<br>\nA pair of eyes, a hen.<br>\nNever feed the midnight cat;<br>\nnever wear a copper hat;<br>\nOne, two, three, four, five, six, go!</p>"
      },
      'no_e': {
        html: "<p>Look, it\u2019s the one title that has no vowels <em>other</em> than \u201ce.\u201d Give me a break, okay?</p>"
      },
      'ghost_knife': {
        html: "<p>And now you know what severed them.</p>"
      },
      'button': {
        html: "<p>It\u2019s not exactly a button. It\u2019s something nasty in a black glass bottle, and you have to stick your finger in and <em>press</em> and it squishes nastily. It leaves a trailing chill, like alcohol, except alcohol feels clean and this feels like a stain that can never be wiped off, even though you can\u2019t see it on your skin. <em>Especially</em> because you can\u2019t see it on your skin.</p>\n<p>But, in practical terms, it\u2019s a button. When you press it, the Bell reverberates and the Candles flicker and if there were a Book, it would probably flop open to the worst page imaginable. There is no Book, mind you.</p>"
      }
    }
  },
  portal: {
    key: 'portal',
    title: "Portal: A Dataspace Retrieval",
    author: "Rob Swigart",
    html: "<p>\u201cThe <em>whole</em> game?\u201d</p>\n<p>\u201cYes, but not <em>that</em> game. This was published in 1986. Classic experiment in electronic literature. The fact that it could be adapted into a novel with not much loss is, well, it was an early experiment.\u201d</p>",
    item: 'ln_bottle',
    snippetcount: 6,
    snippets: {
      'mining_helmet': {
        html: "<p>You find Antarctic ice-mining gear, antiques from the turn of the century.</p>"
      },
      'footnote': {
        html: "<p>* <em>Aphorisms of Mentor</em>, volume two, stanza twelve.</p>"
      },
      'joystick': {
        html: "<p><em>Mindlink: offline. Gestural: offline. Keyboard: offline. Joystick: minimally functional.</em></p>\n<p>\u201cPlease select a dataspace by steering the marker around the flatscreen using the joystick input.\u201d</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cJust gotta get out, just gotta get right outta here...\u201d</p>"
      },
      'handprint': {
        html: "<p>Yes, <em>Portal</em> is about a stargate. Not the one you\u2019re thinking of, though.</p>"
      },
      'strange_loop': {
        html: "<p>A true remake of <em>Portal</em> would use the data-search model that the original game portrayed, but did not truly implement. (See Sam Barlow\u2019s <em>Her Story</em>, <em>Telling Lies</em>.)</p>\n<p>This would entirely shatter the linearity of the novel. Search terms would arise anywhere and everywhere in the text; the player could jump to any other story fragment by guessing search terms.</p>\n<p>You could pay off the \u201cdataspace\u201d tropes of the story by placing search terms within the medical, genealogical, technical, and other databases. Play should consist of jumping back and forth between raw data (to be inspected for search terms) and story fragments (found by those terms). Again, the original game aped this structure, but with hard-coded unlock sequences rather than true search.</p>\n<p>However, the plot of <em>Portal</em> isn\u2019t particularly suited to the splintering of search-model IF. <em>Telling Lies</em> is a story about people <em>lying</em> to each other \u2013 every path through it gives you a bunch of partial, biased interpretations of events. Any such slice is, by definition, interesting. <em>Portal</em> is a straightforward (albeit two-threaded) coming-of-age-and-apotheosis story; most of the interest is the setting. Building up the timeline, piece by piece, is just accumulation.</p>\n<p>Can we rethink this story? It contains a fair amount of cultural tension, differences of interpretation: the Ants against Intercorp, Peter Devore vs Regent Sable. The problem is that one side (Peter, the Ants) is unequivocably right. Sable isn\u2019t a monster but he\u2019s wrong.</p>\n<p>We might reconstruct history, the underpinnings of the story, so that all viewpoints are supported. Then continue this into the plot. Allow different characters to represent different interpretations. They might not lie (this is not a story about lies) but they can disagree. History will be built out of their conflicting views.</p>\n<p>(Could we make Peter Devore a mystery instead of an on-screen messiah? Have everybody else orbit him and disagree on what he represents? We\u2019d lose most of the story as it stands; we\u2019d be turning a protagonist into a black hole. But this might be the way to go.)</p>\n<p>(Mentor would have a whole library of aphorisms with different philosophies and different goals. The game would select appropriate ones as \u201cthe\u201d Aphorisms of Mentor.)</p>\n<p>The final trope of the original story was Homer \u2013 the storyteller. Notionally, the narrative is Homer\u2019s construction, built out of the fragmented data which the player unearths.</p>\n<p>We\u2019d really like to pull this trick for real. Create a narrative engine which will construct story fragments out of whatever pieces the player chooses to combine. I\u2019m not at all sure what this means in practice. Is <em>Heaven\u2019s Vault</em> the right model? <em>HV</em> presents a large library of story fragments, of which the player will only unlock a subset. They gain meaning from combination, but do not try to cohere into a novelistic storyline.</p>\n<p>Homer, a storyteller, is only convincing if he can weave all his fragments together into seamless cloth. Can we make this work? Beats plus transitions equals narration? We\u2019ve seen the technology work at the simplest scale (<em>Heaven\u2019s Vault</em>, <em>Subcuteanean</em>). This would be more ambitious.</p>\n<p>I don\u2019t expect to tackle this. Likely it should be considered as a new project, not <em>Portal</em> at all \u2013 a spiritual sequel at best. Still. It\u2019s nice to dream. And, as everybody knows, the dreaming sleeper creates the universe.</p>"
      }
    }
  },
  stargate: {
    key: 'stargate',
    title: "Stargate",
    author: "Pauline Gedge",
    html: "<p>\u201cYet another in the category of \u2018not <em>that</em> one.\u2019\u201d</p>\n<p>\u201cOne of my friends said that it was C. S. Lewis fanfic. When I read <em>Perelandra</em>, yeah, the theology suddenly fit.\u201d</p>",
    item: 'handprint',
    snippetcount: 5,
    snippets: {
      'no_e': {
        html: "<p>Stargat! The story of... a 0.38 pistol in space! No. An Italian Space-Cat? Pff. Nougat, only with stars?</p>\n<p>Look, just forget I mentioned it.</p>"
      },
      'toy_soldier': {
        html: "<p>\u201cOi, what\u2019s that? What\u2019s that? Toy soldiers? Make them step, make them march!\u201d</p>\n<p>(Children played with the tiny wooden toys, lining them up in village paths and the green-shadowed dells. The Sun-Lord smiled fondly at the sight.)</p>\n<p>\u201cMarch and strike! Roll the bones! Win a match, win the toy with a pretty hat!\u201d</p>\n<p>(If the Sun-Lord had taken heed, if he had forbidden the play of war, would Ervennin have been saved? Or would the straitened bounds of a child\u2019s imagination have spread the poison all the faster?)</p>"
      },
      'elerium': {
        html: "<p>Despite the spiritual sublimity of the Sun-Lords and their unfallen worlds, much of the traffic through the Stargates consisted of exotic material elements. Many solar systems contained unique substances, spawned by the particular nature of the Sun-Lord and the sun from which they emanated.</p>\n<p>It would be a wounding simplification to describe the flow of these elements as \u201ctrade,\u201d or the Sun-Lords\u2019 mutual use-balancing as \u201cdickering like costermongers over two bags of onions and a cabbage.\u201d Nonetheless...</p>"
      },
      'perfume': {
        html: "<p>The odor of sanctity is a myth, but the aroma of corruption is quantifiable. Beings in contact with their divine nature are balanced ecosystems, from the microbial to the cosmic, contained without being constrained. Foul breath and acrid toes are, quite literally, the work of the Corruptor...</p>"
      },
      'ln_bottle': {
        html: "<p>Yes, <em>Stargate</em> is about a portal. Not the one you\u2019re thinking of, though.</p>"
      }
    }
  },
  hellspark: {
    key: 'hellspark',
    title: "Hellspark",
    author: "Janet Kagan",
    html: "<p>\u201cI think this had an absolutely enormous influence on the field, compared to how much notice it got. Linguistics. Point-of-view on alien cultures. Cozy futures. Terrible cross-language puns.\u201d</p>",
    item: 'knife',
    snippetcount: 3,
    snippets: {
      'torch': {
        html: "<p>Is a burning brand the most primitive ancestral 2nd skin? The edge of the firelight was the first boundary, the first space we claimed for our exoself.</p>"
      },
      'handprint': {
        html: "<p>The outline of a hand, meaning \u201cstop\u201d (Verren\u2019s World), \u201cclasp my hand\u201d (Snorrisi), \u201cbargaining is over\u201d (politely on Talmat, rudely on Ishinden), \u201cI need help\u201d (Gu 913), \u201cfervent applause\u201d (Neptens Deep), \u201ca hand per se hand\u201d (Ehric)...</p>\n<p>On a surprising number of worlds, the shape is also recognized as a caricature of a local animal. At least three of them refer to the animal as a \u201cturk\u201d or \u201cturki\u201d, an improbable number even if you know Old Earth archeobiology.</p>"
      },
      'shoes': {
        html: "<p>\u201cFoot. Heel. Sole. Toes, <em>with green toenail polish!</em>\u201d</p>\n<p>I know, I should be writing my own bit here, not quoting the author\u2019s original text. But how can you not love that line?</p>\n<p>I could riff on other characters (\u201cRusty nicks! Twig in an empty sheath!\u201d) but it feels impertinent.</p>\n<p>Hellsparks, obviously, swear in grammatical mistakes. \u201cDamn yous! The hell with these thing!\u201d</p>"
      }
    }
  },
  the_flying_sorcerers: {
    key: 'the_flying_sorcerers',
    title: "The Flying Sorcerers",
    author: "Larry Niven, David Gerrold",
    html: "<p>\u201cOkay, it didn\u2019t age all that well even the year it was published. The \u2018as a mauve\u2019 line still kills me, though.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'knife': {
        html: "<p>\u201cLook, I\u2019m sorry I blew up your spaceship. With eggs and a knife. It couldn\u2019t have been much of a spaceship, I guess. Where? Oh, you mean where did I stab it? I don\u2019t know, there were all these lights. Pretty colors. I rearranged them all, cracked a few eggs on top, and then stuck the knife into the middle.</p>\n<p>\u201cYes, it made an <em>astonishing</em> noise before it slammed into the North Hills.</p>\n<p>\u201cNo, I\u2014</p>\n<p>\u201cLook. What I\u2019m trying to say is, do you think I could have my knife back? That was a good knife.\u201d</p>"
      },
      'coin': {
        html: "<p>\u201cOdam the Smith, God of Money.\u201d</p>\n<p>\u201cNot Grinspun, God of Money?\u201d</p>\n<p>\u201c1971, he\u2019s too late. As is Volcker, more\u2019s the pity. How about New-Ton, God of Money?\u201d</p>\n<p>\u201cToo famous for other stuff.\u201d</p>\n<p>\u201cYou could work it in sideways, something about measuring value by the New Ton.\u201d</p>\n<p>\u201cYou\u2019re just annoyed that someone got to Echo Gnomics before you did.\u201d</p>"
      },
      'no_e': {
        html: "<p>I have <em>always</em> wanted \u201csorcerer\u201d to be spelled with an \u201co\u201d instead of an \u201ce\u201d. <em>Sorceror.</em> Doesn\u2019t that look more stately and classical?</p>\n<p>I know, I know, it just looks wrong. I\u2019m still annoyed about it.</p>"
      },
      'draconic_mask': {
        html: "<p>Monsters in hideous dragon-masks are stalking around the corners of the grove, all at the same time.</p>\n<p>We charged in with rakes and hoes and long sticks, trying to shove them out of the trees. The monsters hooted and danced. It was a terrible fuss and I got smacked in the head by somebody\u2019s rake. I don\u2019t even know who. It might have been a monster.</p>\n<p>\u201cSing the dragon-tongue song!\u201d I shouted, rubbing the back of my head aggrievedly. We should have thought of that right off. The girls started singing first, boisterously, and the rest of us joined in. The monsters kept hooting and dancing, and now they were waggling their long ropy tongues.</p>\n<p>I found myself holding a dragon tail. We danced in a long line around the grove, singing and waggling and waving our arms, until we all collapsed in heaps on the grass.</p>\n<p>\u201cThat was good,\u201d said one of the monsters, pulling off her mask. She waggled her tongue one more time, experimentally. \u201cI\u2019m going to need a drink, though.\u201d</p>"
      }
    }
  },
  on_stranger_tides: {
    key: 'on_stranger_tides',
    title: "On Stranger Tides",
    author: "Tim Powers",
    html: "<p>\u201cDeserved so much better than Johnny Depp.\u201d</p>",
    item: 'lead_ball',
    snippetcount: 4,
    snippets: {
      'coin': {
        html: "<p>The coin is haunted, but not by ghosts. It spins in the air; when it lands, probabilities crash to earth and possibilities boil away into nothing. Bet a dollar on the flip of the coin! Two gets you four, albeit in pieces of eight. The expected value is the limit of a nonconvergent series. Best not to start.</p>\n<p>But dropping the coin is tantamount to flipping it. Once you\u2019ve picked it up, it\u2019s safest to hold onto it. Hang it around your neck, maybe. The hole in the center is handy.</p>"
      },
      'plasm_pen': {
        html: "<p>\u201cYes, the v\u00e8v\u00e8. And with what do we draw them?\u201d</p>\n<p>\u201cBlood? Rum. Flour.\u201d</p>\n<p>\u201cAll of those, yes. Today...\u201d The old man opens a stained pouch and begins to draw on the floor. Each twist of his thumb is a precise arc or jot of black powder. The smell drifts up, sharp \u2013 gunpowder.</p>\n<p>His fat cigar still glows, illuminating his face, dangling over the growing black-powder figure. I want to take a step back. Then again, I want to lean forward and study the patterns. Then again, I might sneeze. I stay where I am.</p>\n<p>Maybe he feels my hesitation. He looks up and smirks. \u201cWe play with fire here. Best to keep it we where can see it, eh?\u201d He gestures extravagantly with the cigar. \u201cNow.\u201d</p>\n<p>He stands straight, or as straight as his bones will go, and begins a chant. The syllables are French, but the words are a drumbeat, and I can feel them through my feet. The goal of his cigar bounces rhythmically, and suddenly I think it is a very great fire, a very great distance away.</p>"
      },
      'ghost_knife': {
        html: "<p>You could <em>make</em> a ghost knife, and it might shred a few of the things as you waved it around. Ghosts are fragile, mycelial things \u2013 decaying webs of thought and awareness.</p>\n<p>The danger of a ghost-bloom, however, is not lessened by chopping it up and spraying it around. Quite the opposite!</p>"
      },
      'water': {
        html: "<p>Ghosts love \u2013 or are fascinated by, or are repelled by \u2013 fire and smoke. The sea is blood, life, birth, resurrection.</p>\n<p>So elemental water is just blood, or distilled blood, or the elements of blood. It\u2019s all the mess and messiness of life. Don\u2019t look for purity or cleansing here!</p>\n<p>(Seawater is also salt and poison, but magic hasn\u2019t really caught up with that. Magic on the wide salt sea will twist in your grasp. That\u2019s because magic is still rooted the era when life condensed out of mud and lightning. Anything multicellular is already fallen and mundane...)</p>"
      }
    }
  },
  terra_ignota: {
    key: 'terra_ignota',
    title: "Too Like the Lightning",
    author: "Ada Palmer",
    html: "<p>\u201cTried to do a thousand things and maybe six hundred of them worked. Mind you, the fourth book isn\u2019t out yet, so those numbers are tentative.\u201d</p>",
    item: 'toy_soldier',
    snippetcount: 3,
    snippets: {
      'ginger_beer': {
        html: "<p>The ginger beer turns an an incisive investigation of social appropriation. Spices characteristic of the Mitsubishi \u2013 though not, of course, restricted to that Hive since long before the modern era... A style of beverage that grew out of pre-Union Europe... And, of course, the pressurized carbonation which could not exist without Utopian technological impulses.</p>\n<p>Nobody is sure how to get the Masons into it. Cartoons of MASON sitting on his throne and enjoying a frosty beverage have not met with favor.</p>"
      },
      'cassette': {
        html: "<p>You insert the cassette and press <em>Play</em>.</p>\n<p>\u201cI see a little silhouetto of a man,<br>\nScaramouche, Scaramouche, will you do the Fandango?\u201d</p>"
      },
      'perfume': {
        html: "<p>Keep an eye on Thisbe\u2019s boots.</p>"
      }
    }
  },
  nation: {
    key: 'nation',
    title: "Nation",
    author: "Terry Pratchett",
    html: "<p>\u201cThe only one of his on this shelf that <em>isn\u2019t</em> set on Discworld.\u201d</p>\n<p>\u201cThe bit about people walking around with disinfectant fountains for hats, because of the flu...\u201d</p>\n<p>\u201cYeah, a little close to home right now.\u201d</p>",
    snippetcount: 4,
    snippets: {
      'footnote': {
        html: "<p>* Except <em>Dodger</em>.</p>"
      },
      'volcano': {
        html: "<p>A volcanic island? Perhaps that\u2019s why it has barely impinged on the maps of the empire. If it arose new-formed from the seas, surrounded Botticelline flourishes of wreathing steam... its history condensing from gobbets of flying lava, hissing in the blue waters... its populace cracking from pumice shells on the shoreline...</p>\n<p>You scoff. Elves can awaken on a starry shore, and that\u2019s <em>elegant</em>. But boisterous volcanic islanders? Mock as you like; they\u2019re already making hats.</p>"
      },
      'ghost_knife': {
        html: "<p>Cut a tree<br>\nCut the soil<br>\nCut a ghost<br>\nThe ghost cries, the earth cries, the trees cry, you\u2019re it!</p>\n<p>Eat a leaf<br>\nEat a stone<br>\nEat a ghost<br>\nThe ghost is sweet*, the earth is sweet, the tree sap is sweet, you\u2019re it!</p>\n<p>Hug a bush<br>\nHug a stream<br>\nHug a ghost<br>\nThe ghost wiggles*, the water ripples, the bush shivers, you\u2019re it!</p>\n<p>* In Language, \u201cis sweet\u201d is an active verb: \u201cit sweets.\u201d Children stick out their tongues and grin when they say this.</p>\n<p>* Adults stick out their tongues and grin when they say this, but not in front of the children.</p>"
      },
      'elerium': {
        html: "<p>If an island has deposits of exotic minerals found nowhere else in the Solar System, but nobody is there to dig them up, do the trees make a sound?</p>"
      }
    }
  },
  men_at_arms: {
    key: 'men_at_arms',
    title: "Men at Arms",
    author: "Terry Pratchett",
    html: "<p>\u201cI bet Vetinari understood the Socioeconomic Unfairness thing first, and let Vimes figure it out.\u201d</p>\n<p>\u201cHeh.\u201d</p>\n<p>\u201cVetinari, Granny Weatherwax, and Death are the three focal characters of Discworld. Not the three top protagonists \u2013 Vimes certainly beats any of them \u2013 but the three characters whose viewpoints define the world.\u201d</p>",
    item: 'shoes',
    snippetcount: 4,
    snippets: {
      'toy_soldier': {
        html: "<p>Wind up a toy soldier, and it marches.</p>\n<p>Wind up a police officer... well, the trope of the City Protector has taken a beating in the past few years. This book was written in 1993, and of course Britain has a better-founded notion of \u201cpolicing.\u201d The Peter Grant series is another British take on that, more modern and thus more pointed about it.</p>\n<p>When I was a kid, the lines were \u201cfire the politicians\u201d and \u201coutlaw the lawyers.\u201d You didn\u2019t have to go into right-wing nutcase territory to find people calling for the destruction of both professions. And this was a response to real problems.</p>\n<p>We still have both, though. (And the problems that spawned the complaints.) In politics, at least, the idea of replacing \u201ccorrupt insiders\u201d with \u201cordinary folks\u201d turned out to be code for a generation of corrupt insiders in a different, malicious, horrifically stupid gang. (Stross\u2019s Beige-ocracy is looking pretty good now, isn\u2019t it? It might have been an immovable conservative shackle, but it kept the economy running and delivered the mail on time.)</p>\n<p>Anyway. The idea that I\u2019m waffling around is that \u201cdefund the cops\u201d isn\u2019t going away, but in twenty years the terms will have evolved into something else. I\u2019m not trying to be either smug or defeatist when I say that.</p>"
      },
      'mining_helmet': {
        html: "<p>The Law of Dwarves is not the simple transposition-underground that a naive reader might imagine. But then, after 41 mainline books, what am I to say about that hasn\u2019t been said by the original author?</p>\n<p>Dwarf Law contains thousands of elements, each with its characteristic color, hardness, and symmetry.</p>\n<p>Dwarf Law moves slowly, under immense pressure, with burning heat buried at its core.</p>\n<p>Dwarf Law accumulates in layers over thousands of years. Minute impressions of history are recorded indelibly within.</p>\n<p>Dwarf Law is tough and solid; but when it fractures, it shifts instantly, and the reverberations can be felt across the world.</p>\n<p>You don\u2019t want to be standing nearby when Dwarf Law erupts into the surface.</p>"
      },
      'lead_ball': {
        html: "<p>The notion of the <em>gonne</em> never came up again in the series, although of course the impact of technology was a major theme. I suppose there was nothing left to say after \u201cguns are a mind-warping disease.\u201d I mean, if I wrote it today it would be \u201cguns are one symptom of a mind-warping disease, and there\u2019s no satisfying ending to this book because in real life nothing worked.\u201d</p>\n<p>I miss Pratchett. He\u2019d have more than that.</p>"
      },
      'draconic_mask': {
        html: "<p>\u201cNot a dragon, a <em>dragon</em>! Big fiery mythical dragon!\u201d</p>\n<p>\u201cWe\u2019ve seen dragons. The Sunshine Shelter is full of dragons.\u201d</p>\n<p>\u201cNo, <em>dragons!</em>\u201d</p>\n<p>It went on for a while like that.</p>"
      }
    }
  },
  memory: {
    key: 'memory',
    title: "Memory",
    author: "Lois McMaster Bujold",
    html: "<p>\u201cThat line about \u2018he hits thirty, thirty hits back\u2019 looks a lot different now I\u2019ve hit fifty.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'perfume': {
        html: "<p>\u201cNice. Betan?\u201d</p>\n<p>\u201cCetagandan.\u201d</p>\n<p>\u201cMaybe I\u2019ll go with the sweater instead.\u201d</p>"
      },
      'lead_ball': {
        html: "<p>We worry about allergens from pre-terraform Barrayaran life, toxins from Ceta gas attacks, radiation from the Short War. Nobody thinks about the shoals of lead bullets buried in fields from the wars of the Isolation period. Gunpowder, horses, men falling shattered in the mud.</p>"
      },
      'ln_bottle': {
        html: "<p>Quite the most frightening sight he\u2019d ever seen through a microscope: sporocytes crawling purposefully against the temperature gradient, <em>through</em> liquid nitrogen, accumulating on the chill-diode.</p>\n<p>\u201cWhat happens when the diode is completely clogged?\u201d</p>\n<p>The tech shrugged. \u201cCooling efficiency drops. The critters speed up and begin mitosing. Cooling efficiency drops more. Boom.\u201d</p>\n<p>\u201cBoom?\u201d</p>\n<p>\u201cWell, more of a thin snapping noise when the plas cracks. But it might as well be a kaboom as far as we\u2019re concerned in here.\u201d</p>"
      }
    }
  },
  well_world: {
    key: 'well_world',
    title: "Midnight at the Well of Souls",
    author: "Jack Chalker",
    html: "<p>\u201cI mean, yes, they\u2019re terrible and sexist and people are constantly being transformed into sexy and/or stupid women. So the author had a kink. I still remember the hexagon world.\u201d</p>\n<p>\u201cCould be worse; could be Piers Anthony.\u201d</p>",
    snippetcount: 3,
    snippets: {
      'glowpepper': {
        html: "<p>This hex is populated entirely by animate bell peppers with tentacles. The morphic resemblance to ancient Markovians has been widely noted, but no firm conclusions can be drawn.</p>"
      },
      'hula_hoop': {
        html: "<p>\u201cBut what happens if you put the receiver hoop through the transmitter hoop?\u201d</p>\n<p>\u201cYou can\u2019t, can you? They\u2019re the same size.\u201d</p>\n<p>\u201cAh, but remember, they\u2019re ellipses, not circles. It\u2019ll fit through the long way.\u201d</p>\n<p>\u201cHm. Try it, I guess.\u201d</p>\n<p>There was a faint <em>clank</em>. Then I was holding...</p>\n<p>\u201cBorromean portal rings? Where did the third one come from?\u201d</p>\n<p>\u201cThat\u2019s... the other side of the second one. I mean the first one. I mean, there were only ever two sides of the same ring, to begin with...\u201d</p>"
      },
      'ln_bottle': {
        html: "<p>\u201cWould you stop sniffing that? You\u2019re fogging up the whole place.\u201d</p>\n<p>\u201cSorry. In this body, nitrogen smells really good.\u201d</p>"
      }
    }
  },
  metropolitan: {
    key: 'metropolitan',
    title: "Metropolitan",
    author: "Walter Jon Williams",
    html: "<p>\u201cAnother interesting example of architectural ritual magic.\u201d</p>",
    item: 'plasm_pen',
    snippetcount: 3,
    snippets: {
      'elder_sign': {
        html: "<p>You can\u2019t just <em>draw</em> a ward-sign in a nation-state which is entirely run on magic. Best case, you\u2019ll throw all the nearby plasm-lines out of balance and get a visit from an extremely irate meter-man. Less-good case, short circuit, kaboom. Worst case \u2013 I don\u2019t know what the worst case is.</p>\n<p>The question, of course, is what you think you\u2019re warding yourself <em>from</em>. There are no dragons or evil wizards storybooking it up out there. Cops? They have all the plasm they want; they\u2019ll squash you. Rich people? They tell the cops who to harass. Poverty? I got news for you.</p>\n<p>Whatever problems society has, drawing magic circles is not going to fix them.</p>"
      },
      'toy_soldier': {
        html: "<p>You set down the toy soldier and step back. It marches with determination across the porch. Then it tumbles down the steps, rights itself, and continues down the sidewalk with undiminished determination.</p>\n<p>Its platoon marches into the street, green and brown toys shouldering matchstick rifles. Their company falls into step as they reach the intersection. A tight column of colored plastic moves forward; then two; then eight.</p>\n<p>A car, surrounded, is incorporated into the parade; the driver shrugs with good-natured fatalism; toys, what can one do? More traffic is dragooned into line. If the parade is an army, it now has armor support.</p>\n<p>The army, if the parade is an army, now stretches a city block and breasts on a small park. Civic statues salute and commit themselves to the military cause. Trees nod, streetlamps quiver.</p>\n<p>In this city, nerved with plasm and life, buildings are not so much architecture as architectually minded citizens in their own right. As the army marches, the building frontages come to attention.</p>\n<p>Night is falling. The streets sparkle, copper and silver as the mercury and fluorescent lamps stake out competing territory. You look down from your balcony as the city blocks flow inexorably forward.</p>\n<p>Your city, a pawn in the game, moves.</p>"
      },
      'water': {
        html: "<p>Two transcendent elemental substances in one city? I think the foundations would burst. Or perhaps the Shield would; is that the idea...?</p>"
      }
    }
  },
  x_com: {
    key: 'x_com',
    title: "X-Com UFO Defense",
    author: "Diane Duane",
    html: "<p>\u201cThe <em>whole</em> game?\u201d</p>\n<p>\u201cNo, just the part where you shoot down flying saucers and kill the aliens and sell their body parts. And for some reason it\u2019s in Switzerland.\u201d</p>\n<p>\u201cDo the aliens mutilate the cattle?\u201d</p>\n<p>\u201cThey <em>try</em>. Have you <em>met</em> Swiss cows?\u201d</p>",
    item: 'elerium',
    snippetcount: 4,
    snippets: {
      'knife': {
        html: "<p>For want of a borrowed knife, the skirmish was lost; for want of an extended skirmish, the battle was lost; for want of a flanking battle, the field was lost.</p>\n<p>For want of that landing field, the saucer was lost. For want of that well-stocked saucer, the Muton and Sectoid body parts were lost. For want of those precious alien bio-resources, the tech tree was stunted...</p>"
      },
      'ginger_beer': {
        html: "<p><em>Sectoid Fizz</em>: Combine ginger beer, sectoid gland secretions, and gin in a large snifter. Swirl gently to combine. DO NOT SHAKE unless you have a well-armed fire team standing by. Add a slice of mutant citrus and serve. Guaranteed to protect your mind from all outside influences, including friends and relatives.</p>"
      },
      'ln_bottle': {
        html: "<p>On top of that, the alien space suits are plumbed to gas tanks which turned out to contain liquid nitrogen. Implying that the bastards breathe nitrogen.</p>\n<p>This is, of course, ridiculous. On the other hand, it explains why their squadrons are always marching menacingly out of swirling fog.</p>\n<p>Speaking of menace-marching, Dr. Lee is positive that the <em>boots</em> of the alien space suits have resonant clack-plates. To ensure that they make a scary stomp-stomp-stomp noise. Dr. Staines is not convinced, but her best alternate theory involves jumping really high, which we haven\u2019t seen them do, so I\u2019m on board with stompy-stompy.</p>\n<p>If all of this holds up, we are faced with the worrisome possibility that this invasion is being run by alien special effects engineers...</p>"
      },
      'lead_ball': {
        html: "<p>\u201cPhased sonics, no luck... paramagnetic burst, no luck... tri-genetic decontamination spray, just made them sneeze...\u201d</p>\n<p>\u201cYou hope that was sneezing.\u201d</p>\n<p>\u201cIf that xenoreproduction expert turns out to be right, definitely don\u2019t tell me.\u201d</p>\n<p>\u201cSo have you tried shooting them? Like, with bullets?\u201d</p>\n<p>\u201cIt\u2019s an alien menace. By the time you shout \u2018bullets won\u2019t stop them,\u2019 they\u2019ve already eaten your face. We\u2019re trying to get <em>ahead</em> of that.\u201d</p>"
      }
    }
  },
  the_road_to_san_giovanni: {
    key: 'the_road_to_san_giovanni',
    title: "The Road to San Giovanni",
    author: "Italo Calvino",
    containslens: true,
    html: "<p>\u201cThat\u2019s Calvino? I can\u2019t make out the title at all.\u201d</p>\n<p>\u201cI know, sorry.\u201d</p>\n<p>\u201cThe resolution in here sucks.\u201d</p>\n<p>\u201cNext time I\u2019ll shell out for a more up-to-date camera.\u201d</p>",
    snippetcount: 0,
    snippets: {
    }
  }
};
var itemmap = {
  elder_sign: {
    key: 'elder_sign', book: 'necronomicon',
    name: "an Elder Sign",
    html: "<p>It\u2019s more symmetrical than you\u2019d been led to imagine.</p>"
  },
  ginger_beer: {
    key: 'ginger_beer', book: 'e_nesbit_trilogy',
    name: "some ginger beer",
    html: "<p>A bottle of ginger beer. It\u2019s a delightfully antique brand.</p>"
  },
  torch: {
    key: 'torch', book: 'ico',
    name: "an unlit torch",
    html: "<p>Just a rude length of wood; the blackened end attests to its previous use. Lacking fire, it makes a good whacking stick.</p>"
  },
  water: {
    key: 'water', book: 'five_twelfths_of_heaven',
    name: "a vial of water",
    html: "<p>Elementally pure water, sealed in a vial of glass and inert wax.</p>"
  },
  joystick: {
    key: 'joystick', book: 'johnny_maxwell',
    name: "a joystick",
    html: "<p>A very 1980s joystick with two large red buttons. Is that an Atari port connector?</p>"
  },
  ghost_knife: {
    key: 'ghost_knife', book: 'child_of_fire',
    name: "a ghost knife",
    html: "<p>Scribbled runes on a bit of cardstock; it severs the immaterial.</p>"
  },
  clock_key: {
    key: 'clock_key', book: 'the_high_house',
    name: "a clock key",
    html: "<p>For winding, not unlocking.</p>"
  },
  no_e: {
    key: 'no_e', book: 'a_void',
    name: "no \u201ce\u201d",
    html: "<p>Someone must have waved an \u201ce\u201d-remover at it.</p>"
  },
  glowpepper: {
    key: 'glowpepper', book: 'codex_seriaphinianus',
    name: "a glowing bell pepper",
    html: "<p>A green bell pepper, sliced open. Pure light sloshes gently within.</p>"
  },
  strange_loop: {
    key: 'strange_loop', book: 'godel_escher_bach',
    name: "a strange loop",
    html: "<p>A strange loop, or tangled hierarchy.</p>"
  },
  mining_helmet: {
    key: 'mining_helmet', book: 'digger',
    name: "a mining helmet",
    html: "<p>A battered fiberglass helmet with a carbide lamp. None of your battery-powered nonsense.</p>"
  },
  perfume: {
    key: 'perfume', book: 'watchmen',
    name: "a perfume vial",
    html: "<p>A delicate vial of Nostalgia.</p>"
  },
  draconic_mask: {
    key: 'draconic_mask', book: 'the_flight_of_dragons',
    name: "a draconic mask",
    html: "<p>A fearsome flourish of spines and horns around two enormous painted eyes. The mask is lightweight, perhaps balsa or cork.</p>"
  },
  question: {
    key: 'question', book: 'what_is_the_name_of_this_book',
    name: "a question",
    html: "<p>The answer will either be the truth or a lie.</p>"
  },
  puzzle_piece: {
    key: 'puzzle_piece', book: 'richelieu',
    name: "a brass puzzle piece",
    html: "<p>It\u2019s shaped like a key \u2013 a key that might nest among dozens of other keys.</p>"
  },
  coin: {
    key: 'coin', book: 'the_knot_shop_man',
    name: "a coin",
    html: "<p>The coin has a hole in the middle.</p>"
  },
  footnote: {
    key: 'footnote', book: 'house_of_leaves',
    name: "a footnote",
    html: "<p>* See Figure 1.</p>"
  },
  volcano: {
    key: 'volcano', book: 'legal_daisy_spacing',
    name: "a tiny volcano",
    html: "<p>It is a baby volcano, just the size of your hand.</p>"
  },
  hula_hoop: {
    key: 'hula_hoop', book: 'orbit_18',
    name: "a hula hoop",
    html: "<p>This is no cheap day-glo playground hula hoop. This is an instrument of war. It still has the rolly marbles inside though.</p>"
  },
  button: {
    key: 'button', book: 'spider_and_web',
    name: "a pushbutton",
    html: "<p>It\u2019s a small cyan box with a button on one side and a plus link on the other.</p>"
  },
  cassette: {
    key: 'cassette', book: 'good_omens',
    name: "a tape cassette",
    html: "<p>It\u2019s labelled \u201cVivaldi\u2019s Greatest Hits.\u201d</p>"
  },
  ln_bottle: {
    key: 'ln_bottle', book: 'portal',
    name: "an LN bottle",
    html: "<p>A small bottle of liquid nitrogen.</p>"
  },
  handprint: {
    key: 'handprint', book: 'stargate',
    name: "a handprint",
    html: "<p>The shape of a hand spread on the wall.</p>"
  },
  knife: {
    key: 'knife', book: 'hellspark',
    name: "a steel knife",
    html: "<p>The knife is polished, well-cared for, and exceptionally sharp.</p>"
  },
  lead_ball: {
    key: 'lead_ball', book: 'on_stranger_tides',
    name: "a battered lead ball",
    html: "<p>It\u2019s a not-very-round lump of lead \u2013 perhaps a ball from an antique musket or flintlock. A symbol is carved roughly on one side.</p>"
  },
  toy_soldier: {
    key: 'toy_soldier', book: 'terra_ignota',
    name: "a plastic toy soldier",
    html: "<p>Just a cheaply-printed toy figure of a soldier with a rifle.</p>"
  },
  shoes: {
    key: 'shoes', book: 'men_at_arms',
    name: "a pair of shoes",
    html: "<p>They\u2019re particularly high-quality shoes. Last you ten years.</p>"
  },
  plasm_pen: {
    key: 'plasm_pen', book: 'metropolitan',
    name: "a plasm pen",
    html: "<p>A pen charged with Power-conductive ink. Useful for drawing spell diagrams, and also for shorting them out.</p>"
  },
  elerium: {
    key: 'elerium', book: 'x_com',
    name: "Elerium-115",
    html: "<p>A blue-green phosphorescent crystal.</p>"
  }
};
