'use strict';

function clickfunc(ev, args) { evhan_infoclick(ev, args); }

var scenelist = {
  start: {
    panorama: 'pic/library-start.jpeg',
    yaw: 12,
    northOffset: -142,
    hotSpots: [
      {
        pitch: 0, yaw: -40,
        type: 'scene',
        sceneId: 'left',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -40, yaw: -40,
        type: 'scene',
        sceneId: 'left_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -40, yaw: 55,
        type: 'scene',
        sceneId: 'right_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 55,
        type: 'scene',
        sceneId: 'right',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 9.0, yaw: 76.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_4 spot_start__text_4',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:4 },
        skewpitch: 0.0,
        skewyaw: 54.0,
        scale: true
      },
      {
        pitch: 11.6, yaw: 5.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_rendezvous_with_rama spot_start_rendezvous_with_rama',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'rendezvous_with_rama' },
        skewyaw: 5.0,
        scale: true
      },
      {
        pitch: 31.3, yaw: 5.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_necronomicon spot_start_necronomicon',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'necronomicon' },
        skewyaw: 5.0,
        scale: true
      },
      {
        pitch: 5.7, yaw: -84.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_young_wizards spot_start_young_wizards',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'young_wizards' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  },
  left_low: {
    panorama: 'pic/library-left-low.jpeg',
    northOffset: 90,
    hotSpots: [
      {
        pitch: 30, yaw: -90,
        type: 'scene',
        sceneId: 'start',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 35, yaw: -270,
        type: 'scene',
        sceneId: 'left',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 90,
        type: 'scene',
        sceneId: 'farleft_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 219,
        type: 'scene',
        sceneId: 'right_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 4.8, yaw: -179.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_god_stalk spot_left_low_god_stalk',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'god_stalk' },
        skewyaw: 180.0,
        scale: true
      },
      {
        pitch: 23.1, yaw: 46.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_five_twelfths_of_heaven spot_left_low_five_twelfths_of_heaven',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'five_twelfths_of_heaven' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -5.3, yaw: -230.8,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_child_of_fire spot_left_low_child_of_fire',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'child_of_fire' },
        skewyaw: 180.0,
        scale: true
      },
      {
        pitch: 5.5, yaw: -18.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_a_void spot_left_low_a_void',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'a_void' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: -14.7, yaw: -18.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_lord_darcy spot_left_low_lord_darcy',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'lord_darcy' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: -22.1, yaw: 48.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_stargate spot_left_low_stargate',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'stargate' },
        skewyaw: 0.0,
        scale: true
      }
    ]
  },
  left: {
    panorama: 'pic/library-left.jpeg',
    northOffset: -90,
    hotSpots: [
      {
        pitch: 0, yaw: 91,
        type: 'scene',
        sceneId: 'start',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -59,
        type: 'scene',
        sceneId: 'leftcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -45, yaw: 90,
        type: 'scene',
        sceneId: 'left_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -45, yaw: -90,
        type: 'scene',
        sceneId: 'farleft_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 7.7, yaw: -233.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_young_wizards spot_left_young_wizards',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'young_wizards' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 29.3, yaw: -220.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_e_nesbit_trilogy spot_left_e_nesbit_trilogy',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'e_nesbit_trilogy' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 34.2, yaw: -156.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_god_stalk spot_left_god_stalk',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'god_stalk' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 31.1, yaw: -143.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_ico spot_left_ico',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'ico' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -37.6, yaw: -168.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_five_twelfths_of_heaven spot_left_five_twelfths_of_heaven',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'five_twelfths_of_heaven' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -24.1, yaw: -344.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_johnny_maxwell spot_left_johnny_maxwell',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'johnny_maxwell' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: 41.7, yaw: -322.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_dshai spot_left_dshai',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'dshai' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: 15.1, yaw: -309.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_taltos spot_left_taltos',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'taltos' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: 17.6, yaw: 327.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_zork_chronicles spot_left_the_zork_chronicles',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_zork_chronicles' },
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: -61.2, yaw: -8.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_child_of_fire spot_left_child_of_fire',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'child_of_fire' },
        skewyaw: 0.0,
        scale: true
      }
    ]
  },
  farleft_low: {
    panorama: 'pic/library-farleft-low.jpeg',
    northOffset: 90,
    hotSpots: [
      {
        pitch: 40, yaw: -90,
        type: 'scene',
        sceneId: 'left',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -90,
        type: 'scene',
        sceneId: 'left_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 30, yaw: -211,
        type: 'scene',
        sceneId: 'leftcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 27.2, yaw: 328.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_five_twelfths_of_heaven spot_farleft_low_five_twelfths_of_heaven',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'five_twelfths_of_heaven' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -8.0, yaw: -145.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_child_of_fire spot_farleft_low_child_of_fire',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'child_of_fire' },
        skewyaw: 190.0,
        scale: true
      },
      {
        pitch: 8.9, yaw: -167.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_a_matter_of_oaths spot_farleft_low_a_matter_of_oaths',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'a_matter_of_oaths' },
        skewyaw: 180.0,
        scale: true
      },
      {
        pitch: 24.2, yaw: -187.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_poison_belt spot_farleft_low_the_poison_belt',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_poison_belt' },
        skewyaw: 175.0,
        scale: true
      },
      {
        pitch: -3.9, yaw: -330.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_high_house spot_farleft_low_the_high_house',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_high_house' },
        skewpitch: 0.0,
        skewoffsetx: 12.5,
        scale: true
      },
      {
        pitch: -28.5, yaw: -31.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_stargate spot_farleft_low_stargate',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'stargate' },
        skewyaw: 0.0,
        scale: true
      }
    ]
  },
  leftcorner: {
    panorama: 'pic/library-leftcorner.jpeg',
    northOffset: -83,
    hotSpots: [
      {
        pitch: 0, yaw: 136,
        type: 'scene',
        sceneId: 'left',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 24,
        type: 'scene',
        sceneId: 'center',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -45, yaw: 144,
        type: 'scene',
        sceneId: 'farleft_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -27, yaw: 5,
        type: 'scene',
        sceneId: 'back_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 7.0, yaw: 183.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_0 spot_leftcorner__text_0',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:0 },
        skewpitch: 0.0,
        skewyaw: 183.0,
        scale: true
      },
      {
        pitch: 2.0, yaw: -11.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_1 spot_leftcorner__text_1',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:1 },
        skewpitch: 0.0,
        skewyaw: 0.0,
        scale: true
      },
      {
        pitch: 17.9, yaw: 146.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_god_stalk spot_leftcorner_god_stalk',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'god_stalk' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 18.6, yaw: 153.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_ico spot_leftcorner_ico',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'ico' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -16.9, yaw: 141.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_five_twelfths_of_heaven spot_leftcorner_five_twelfths_of_heaven',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'five_twelfths_of_heaven' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -33.8, yaw: 166.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_high_house spot_leftcorner_the_high_house',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_high_house' },
        skewpitch: 0.0,
        skewoffsetx: 10.0,
        scale: true
      },
      {
        pitch: 19.5, yaw: -184.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_road_to_san_giovanni spot_leftcorner_the_road_to_san_giovanni',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_road_to_san_giovanni' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  },
  center: {
    panorama: 'pic/library-center.jpeg',
    northOffset: -140,
    hotSpots: [
      {
        pitch: 0, yaw: 186,
        type: 'scene',
        sceneId: 'core',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 255,
        type: 'scene',
        sceneId: 'leftcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 109,
        type: 'scene',
        sceneId: 'rightcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -40, yaw: 10,
        type: 'scene',
        sceneId: 'back_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -27, yaw: 112,
        type: 'scene',
        sceneId: 'farright_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 10.0, yaw: 169.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_3 spot_center__text_3',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:3 },
        skewpitch: 0.0,
        skewyaw: -132.0,
        scale: true
      },
      {
        pitch: 5.0, yaw: -0.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_codex_seriaphinianus spot_center_codex_seriaphinianus',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'codex_seriaphinianus' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 27.6, yaw: 37.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_godel_escher_bach spot_center_godel_escher_bach',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'godel_escher_bach' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -38.6, yaw: 34.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_digger spot_center_digger',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'digger' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -21.0, yaw: 49.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_watchmen spot_center_watchmen',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'watchmen' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 4.7, yaw: 20.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_flight_of_dragons spot_center_the_flight_of_dragons',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_flight_of_dragons' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 25.0, yaw: -25.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_what_is_the_name_of_this_book spot_center_what_is_the_name_of_this_book',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'what_is_the_name_of_this_book' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -41.7, yaw: -20.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_richelieu spot_center_richelieu',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'richelieu' },
        skewpitch: 0.0,
        skewoffsetx: 25.0,
        scale: true
      },
      {
        pitch: -40.5, yaw: 146.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_knot_shop_man spot_center_the_knot_shop_man',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_knot_shop_man' },
        skewpitch: 0.0,
        skewyaw: 141.0,
        scale: true
      },
      {
        pitch: -7.8, yaw: 180.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_house_of_leaves spot_center_house_of_leaves',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'house_of_leaves' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -3.0, yaw: 164.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_harry_potter spot_center_harry_potter',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'harry_potter' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 12.6, yaw: -215.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_revenant_gun spot_center_revenant_gun',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'revenant_gun' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 9.2, yaw: 195.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_legal_daisy_spacing spot_center_legal_daisy_spacing',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'legal_daisy_spacing' },
        skewpitch: 0.0,
        skewoffsetx: -12.5,
        scale: true
      },
      {
        pitch: -26.9, yaw: 210.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_riddle_of_stars spot_center_riddle_of_stars',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'riddle_of_stars' },
        skewyaw: 231.0,
        scale: true
      },
      {
        pitch: -16.9, yaw: 210.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_orbit_18 spot_center_orbit_18',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'orbit_18' },
        skewyaw: 231.0,
        scale: true
      },
      {
        pitch: -28.6, yaw: 238.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_hobbit spot_center_the_hobbit',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_hobbit' },
        skewyaw: 231.0,
        scale: true
      }
    ]
  },
  core: {
    panorama: 'pic/library-core.jpeg',
    northOffset: 41,
    hotSpots: [
      {
        pitch: 0, yaw: 180,
        type: 'scene',
        sceneId: 'center',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -25, yaw: 185,
        type: 'scene',
        sceneId: 'back_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -241,
        type: 'scene',
        sceneId: 'leftcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -113,
        type: 'scene',
        sceneId: 'rightcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 2.0, yaw: -198.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_1 spot_core__text_1',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:1 },
        skewpitch: 0.0,
        skewyaw: -128.0,
        scale: true
      },
      {
        pitch: 3.5, yaw: -177.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_codex_seriaphinianus spot_core_codex_seriaphinianus',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'codex_seriaphinianus' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 14.9, yaw: -156.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_godel_escher_bach spot_core_godel_escher_bach',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'godel_escher_bach' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -25.6, yaw: -159.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_digger spot_core_digger',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'digger' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -13.7, yaw: -151.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_watchmen spot_core_watchmen',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'watchmen' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 1.8, yaw: -166.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_flight_of_dragons spot_core_the_flight_of_dragons',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_flight_of_dragons' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 15.6, yaw: -190.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_what_is_the_name_of_this_book spot_core_what_is_the_name_of_this_book',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'what_is_the_name_of_this_book' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -56.7, yaw: -87.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_knot_shop_man spot_core_the_knot_shop_man',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_knot_shop_man' },
        skewpitch: 0.0,
        skewyaw: -43.0,
        scale: true
      },
      {
        pitch: -23.4, yaw: -19.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_house_of_leaves spot_core_house_of_leaves',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'house_of_leaves' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -8.0, yaw: -55.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_harry_potter spot_core_harry_potter',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'harry_potter' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 15.2, yaw: -88.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_revenant_gun spot_core_revenant_gun',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'revenant_gun' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 31.0, yaw: 28.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_legal_daisy_spacing spot_core_legal_daisy_spacing',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'legal_daisy_spacing' },
        skewpitch: 0.0,
        skewoffsetx: -10.0,
        scale: true
      },
      {
        pitch: -45.6, yaw: 66.7,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_riddle_of_stars spot_core_riddle_of_stars',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'riddle_of_stars' },
        skewyaw: 47.0,
        scale: true
      },
      {
        pitch: -30.7, yaw: 64.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_orbit_18 spot_core_orbit_18',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'orbit_18' },
        skewyaw: 47.0,
        scale: true
      },
      {
        pitch: -5.4, yaw: 62.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_spider_and_web spot_core_spider_and_web',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'spider_and_web' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -31.8, yaw: 101.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_hobbit spot_core_the_hobbit',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_hobbit' },
        skewyaw: 47.0,
        scale: true
      }
    ]
  },
  back_low: {
    panorama: 'pic/library-back-low.jpeg',
    northOffset: 144,
    hotSpots: [
      {
        pitch: 25, yaw: -97,
        type: 'scene',
        sceneId: 'center',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 25, yaw: -47,
        type: 'scene',
        sceneId: 'leftcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 25, yaw: -153,
        type: 'scene',
        sceneId: 'rightcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -155,
        type: 'scene',
        sceneId: 'farright_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 18.0, yaw: -46.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_0 spot_back_low__text_0',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:0 },
        skewpitch: 0.0,
        skewyaw: -56.0,
        scale: true
      },
      {
        pitch: 4.0, yaw: 144.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_digger spot_back_low_digger',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'digger' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 40.1, yaw: -189.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_watchmen spot_back_low_watchmen',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'watchmen' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 2.1, yaw: 18.8,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_richelieu spot_back_low_richelieu',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'richelieu' },
        skewpitch: 0.0,
        skewoffsetx: 15.0,
        scale: true
      },
      {
        pitch: -0.2, yaw: -120.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_knot_shop_man spot_back_low_the_knot_shop_man',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_knot_shop_man' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 23.0, yaw: -101.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_house_of_leaves spot_back_low_house_of_leaves',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'house_of_leaves' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  },
  right_low: {
    panorama: 'pic/library-right-low.jpeg',
    northOffset: -1,
    hotSpots: [
      {
        pitch: 30, yaw: 90,
        type: 'scene',
        sceneId: 'start',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 35, yaw: -90,
        type: 'scene',
        sceneId: 'right',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -90,
        type: 'scene',
        sceneId: 'farright_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 130,
        type: 'scene',
        sceneId: 'left_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 64.0, yaw: -27.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_4 spot_right_low__text_4',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:4 },
        skewpitch: 0.0,
        skewyaw: -90.0,
        scale: true
      },
      {
        pitch: -33.2, yaw: -145.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_portal spot_right_low_portal',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'portal' },
        skewyaw: 177.0,
        scale: true
      },
      {
        pitch: -4.7, yaw: -145.3,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_stargate spot_right_low_stargate',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'stargate' },
        skewyaw: 177.0,
        scale: true
      },
      {
        pitch: -7.3, yaw: -131.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_hellspark spot_right_low_hellspark',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'hellspark' },
        skewyaw: 177.0,
        scale: true
      },
      {
        pitch: -14.7, yaw: -197.8,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_flying_sorcerers spot_right_low_the_flying_sorcerers',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_flying_sorcerers' },
        skewyaw: 177.0,
        scale: true
      },
      {
        pitch: 35.4, yaw: 161.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_on_stranger_tides spot_right_low_on_stranger_tides',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'on_stranger_tides' },
        skewyaw: 177.0,
        scale: true
      },
      {
        pitch: 32.4, yaw: -44.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_terra_ignota spot_right_low_terra_ignota',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'terra_ignota' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 19.2, yaw: 293.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_memory spot_right_low_memory',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'memory' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  },
  right: {
    panorama: 'pic/library-right.jpeg',
    northOffset: 0,
    hotSpots: [
      {
        pitch: 0, yaw: 90,
        type: 'scene',
        sceneId: 'start',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -45, yaw: -270,
        type: 'scene',
        sceneId: 'right_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 0, yaw: -125,
        type: 'scene',
        sceneId: 'rightcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -40, yaw: -90,
        type: 'scene',
        sceneId: 'farright_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 50.6, yaw: -59.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_good_omens spot_right_good_omens',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'good_omens' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -42.1, yaw: 44.6,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_terra_ignota spot_right_terra_ignota',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'terra_ignota' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 28.2, yaw: 18.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_nation spot_right_nation',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'nation' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 23.2, yaw: -36.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_men_at_arms spot_right_men_at_arms',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'men_at_arms' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -48.3, yaw: -26.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_memory spot_right_memory',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'memory' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -15.1, yaw: 181.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_well_world spot_right_well_world',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'well_world' },
        skewyaw: 184.0,
        scale: true
      },
      {
        pitch: -10.1, yaw: 135.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_metropolitan spot_right_metropolitan',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'metropolitan' },
        skewyaw: 184.0,
        scale: true
      },
      {
        pitch: 17.6, yaw: 136.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_x_com spot_right_x_com',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'x_com' },
        skewyaw: 177.0,
        scale: true
      }
    ]
  },
  farright_low: {
    panorama: 'pic/library-farright-low.jpeg',
    northOffset: 3,
    hotSpots: [
      {
        pitch: 0, yaw: 86,
        type: 'scene',
        sceneId: 'right_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 40, yaw: 86,
        type: 'scene',
        sceneId: 'right',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 40, yaw: 170,
        type: 'scene',
        sceneId: 'rightcorner',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 170,
        type: 'scene',
        sceneId: 'back_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: 20, yaw: 156,
        type: 'scene',
        sceneId: 'center',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 54.0, yaw: 137.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_2 spot_farright_low__text_2',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:2 },
        skewpitch: 0.0,
        skewyaw: 87.0,
        scale: true
      },
      {
        pitch: -3.4, yaw: -3.9,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_the_severed_streets spot_farright_low_the_severed_streets',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'the_severed_streets' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 28.4, yaw: 50.2,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_memory spot_farright_low_memory',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'memory' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  },
  rightcorner: {
    panorama: 'pic/library-rightcorner.jpeg',
    northOffset: 0,
    hotSpots: [
      {
        pitch: 0, yaw: 147,
        type: 'scene',
        sceneId: 'center',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: 0, yaw: 48,
        type: 'scene',
        sceneId: 'right',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene HighSpot',
        scale: true
      },
      {
        pitch: -23, yaw: -187,
        type: 'scene',
        sceneId: 'back_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -45, yaw: 0,
        type: 'scene',
        sceneId: 'farright_low',
        targetYaw: 'sameAzimuth',
        targetPitch: 'same',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-scene LowSpot',
        scale: true
      },
      {
        pitch: -2.0, yaw: 85.0,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info TextSpot TextSpot_2 spot_rightcorner__text_2',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'text', index:2 },
        skewpitch: 0.0,
        skewyaw: 90.0,
        scale: true
      },
      {
        pitch: 47.7, yaw: -1.5,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_good_omens spot_rightcorner_good_omens',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'good_omens' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: 13.7, yaw: 23.1,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_men_at_arms spot_rightcorner_men_at_arms',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'men_at_arms' },
        skewpitch: 0.0,
        scale: true
      },
      {
        pitch: -26.5, yaw: 29.4,
        type: 'info',
        cssClass: 'pnlm-hotspot pnlm-sprite pnlm-info BookSpot book_memory spot_rightcorner_memory',
        clickHandlerFunc: clickfunc,
        clickHandlerArgs: { type:'book', key:'memory' },
        skewpitch: 0.0,
        scale: true
      }
    ]
  }
};
